#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drmm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_detect_from_ddc, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0xeec93e20, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0x9393d29a, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x4fb1df24, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x177be604, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0xaaba9f31, "");
SYMBOL_CRC(drm_atomic_helper_check, 0x4e2f7bec, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0xd57cf01a, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0x56c120be, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0x90c00ca8, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x817d2bbc, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x3370e4dd, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x5b299f90, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0x9532b053, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x6b359c20, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x5fbbe349, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x66aa211a, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0x01c50c45, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0xbed98481, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x0c04d706, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0xc38021e8, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0x2d0ec1dc, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x5d9af08a, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0xb8398102, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x95aab2a2, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0x040bee0f, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0xac4cc1bb, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0x4108491c, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0xbc82e7dd, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0xf066ff14, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0x83bd269b, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0xdff8cd4f, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x3267ba7f, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0x2d477f58, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x9fac3a7b, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x49ecc85a, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0xfb52d0ea, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0x72bc31d3, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x2924a82a, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0xd7319ac4, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0xc5d12d2a, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x40ac7987, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0x17c8a639, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0x2bca2421, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0x8e0f970c, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0xcd722c2a, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0x9a42d144, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x35cec915, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0x40a1d23d, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x5dd3e94a, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x407126a4, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0x04f4d87e, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x1159df53, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0x05ecfee9, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0x8bfd2aa6, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0x75cc785b, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0x2ea9715e, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x27fe202f, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0x8ad55276, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0xd38d4daa, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x874e3376, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x3928fba3, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x5c6d1c9b, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0x298a24d7, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0x1663e557, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0x94e657d1, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x2e4ea4dd, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0xebebfdd7, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0xb6e7431d, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0xcfb05b9e, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0x296e85b1, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0xab741789, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0x5b1d059f, "");
SYMBOL_CRC(drm_helper_encoder_in_use, 0xec18b4c2, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x2aa61d3d, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0xa9b6aa97, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0xba69272a, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0x20e27af8, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0xa5349700, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0x96532c05, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x6d519fdc, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0x63963149, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0xc6a53b29, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0xc0cc8af9, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x9a777127, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x88d75c1a, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0xc1802993, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x70ee0aef, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x7ff591f3, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0x4b4e0f1b, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0x86196411, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0xa7894069, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0xe207880a, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0xe1b5d8c5, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0x4f1d7cd2, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0xd4833598, "");
SYMBOL_CRC(drm_flip_work_queue, 0x66307fc3, "");
SYMBOL_CRC(drm_flip_work_commit, 0x7c881f3a, "");
SYMBOL_CRC(drm_flip_work_init, 0xf319e7e4, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0x983f0105, "");
SYMBOL_CRC(drm_format_conv_state_init, 0xf24700a0, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xeeffb81b, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0x84247d5d, "");
SYMBOL_CRC(drm_format_conv_state_release, 0x24e99aa5, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x4324fc23, "");
SYMBOL_CRC(drm_fb_swab, 0x944ee68e, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0xec0551bb, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x188f89ce, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x0ff8aa51, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0xe55e502d, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0xf2b83cf8, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x37ea62a3, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0xf405d62d, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0x1b0af80e, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x9707663a, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x6ba542ed, "");
SYMBOL_CRC(drm_fb_blit, 0x2c796290, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x67d01557, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0xd611ddb5, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0xfd692eca, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0xbbada376, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0xc69df691, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0xfc1487bb, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0x35e9d6e2, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0xf6fde708, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0xce3fd7ee, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0x8e104069, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x9ce2705b, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0xc4e2a26f, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0x191a2818, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0xf3cdb76f, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0x1ecd0285, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0xa31fd963, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0xf7b45a02, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x79fb7668, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x83893b93, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0xb3a48bef, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0xdffbfd9b, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0xf28e6daf, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0x775eae1d, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0x0f2ebb51, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0xc86216a5, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x50a6bfe8, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x2d2eb4a4, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0xf1494c41, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x8bd616b6, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0xd59efd57, "");
SYMBOL_CRC(drm_crtc_init, 0x24dd0552, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0xd7a1efba, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x6489c970, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0x4e1aa11b, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0xc75afce5, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0xe483505f, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0xaa4a8dfe, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0xf52bc0a3, "");
SYMBOL_CRC(drm_helper_probe_detect, 0x1172969b, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0xfef58a13, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0xa7a68efc, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0x36720d93, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x47284e71, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x1c1c06eb, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x1c5f5ba1, "");
SYMBOL_CRC(drmm_kms_helper_poll_init, 0xb145ffb7, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x10020c8c, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x4f4e3582, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x9caceb53, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0x47c36ffd, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0x9b840432, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x100621bf, "");
SYMBOL_CRC(drm_connector_helper_detect_from_ddc, 0xab834130, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0x8f9280dd, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0x7e14cb63, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0xc4d294c7, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0x3071f513, "");
SYMBOL_CRC(drm_simple_encoder_init, 0x35d498ed, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0xefee24cb, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0xb76ce596, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0xda421d92, "");
SYMBOL_CRC(drm_bridge_is_panel, 0x90c089e1, "");
SYMBOL_CRC(drm_panel_bridge_add, 0x09780345, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x1989081d, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0x199a6fdc, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0xd893f089, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x7bb3595f, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0x6cc8b394, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x744762e4, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0x10333782, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0x4812ebd7, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0xc11040d6, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0x19a6bd7e, "");
SYMBOL_CRC(drm_fb_helper_blank, 0x7be5e753, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0xb983fd39, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x30560243, "");
SYMBOL_CRC(drm_fb_helper_init, 0xe40b9814, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0x7cc23b15, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0xafa58276, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0xbc2e5bb3, "");
SYMBOL_CRC(drm_fb_helper_fini, 0xf2172f0a, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0xd7e6444b, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x3b6876bb, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0x0c97f3fe, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0x0218173b, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x565fcea9, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0xa4f8797d, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0x17d5ac2f, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x886cf67b, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0xff6e3d27, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0xfa7662e2, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0x0f234478, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0xa1791701, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0xdc628242, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0x0ece3970, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb22944e5, "unregister_framebuffer" },
	{ 0x72bc23aa, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x54dc5e35, "drm_framebuffer_cleanup" },
	{ 0x5b005419, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe8c830c8, "drm_panel_get_modes" },
	{ 0xcf6780f2, "drm_gem_vmap_unlocked" },
	{ 0xe6bdcf9c, "try_module_get" },
	{ 0x8f42626, "drm_connector_list_update" },
	{ 0xb847c256, "drm_bridge_add" },
	{ 0xa99fcb0d, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x529f1e79, "unregister_sysrq_key" },
	{ 0x11359d8, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8b7c7576, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7a0c814a, "drm_client_rotation" },
	{ 0xebdfd450, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb573015e, "drm_framebuffer_init" },
	{ 0xd5783cd6, "drm_mode_validate_driver" },
	{ 0xd1841be4, "drm_atomic_add_affected_planes" },
	{ 0x911e06c2, "dma_buf_end_cpu_access" },
	{ 0xe3e9c76f, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1272c7a1, "drm_mode_probed_add" },
	{ 0xe1d67627, "drm_atomic_add_affected_connectors" },
	{ 0xdf186484, "drm_gem_vunmap_unlocked" },
	{ 0xf17ecd36, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x8419823f, "finish_wait" },
	{ 0x67fc32d6, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0xa6cca4ff, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x78228c75, "drm_mode_object_get" },
	{ 0xcd9784ca, "drm_edid_override_connector_update" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0xf1d15ae0, "drm_driver_legacy_fb_format" },
	{ 0x69e8c366, "pcpu_hot" },
	{ 0x9278cc11, "drm_crtc_cleanup" },
	{ 0x5ad1e459, "drm_connector_list_iter_begin" },
	{ 0xc67f3cd7, "drm_mode_set_config_internal" },
	{ 0xc9c546a2, "prepare_to_wait_event" },
	{ 0xb8d82da4, "framebuffer_alloc" },
	{ 0x9257407d, "drm_encoder_cleanup" },
	{ 0x510bb325, "drm_modeset_acquire_init" },
	{ 0xa454606c, "dma_fence_set_deadline" },
	{ 0x15605e54, "drm_client_modeset_probe" },
	{ 0x7b03dcce, "drm_warn_on_modeset_not_all_locked" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x9c932193, "drm_plane_get_damage_clips" },
	{ 0x28a4da17, "devres_add" },
	{ 0x62238892, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f879a95, "drm_add_modes_noedid" },
	{ 0x82415de, "drm_bridge_remove" },
	{ 0xa16bf9d7, "drm_mode_object_put" },
	{ 0x56ac6e0b, "dev_driver_string" },
	{ 0xbb12fdab, "drm_crtc_vblank_get" },
	{ 0xe77e3ea6, "drm_gem_object_lookup" },
	{ 0x379f3e62, "drm_crtc_send_vblank_event" },
	{ 0x82c4e6e9, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5cd59700, "drm_atomic_normalize_zpos" },
	{ 0xcd408b02, "drm_edid_connector_update" },
	{ 0xf8b69dd9, "drm_sysfs_hotplug_event" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4030496, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd0debf17, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0x76dfeb11, "drm_connector_list_iter_end" },
	{ 0xda9e4265, "drm_atomic_set_crtc_for_plane" },
	{ 0xa665980a, "drm_client_modeset_dpms" },
	{ 0x8ca20b96, "drm_mode_prune_invalid" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb9bb20a0, "drm_client_dev_hotplug" },
	{ 0x5afa602c, "_dev_info" },
	{ 0x9eb8b4c7, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xae71f10a, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0xe7c9b413, "module_put" },
	{ 0x5058cd6f, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0x116ac8c1, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xdaa70252, "drm_client_init" },
	{ 0xc4040134, "drm_crtc_wait_one_vblank" },
	{ 0x147b2d79, "drm_crtc_next_vblank_start" },
	{ 0xeb772270, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0x351988f9, "drm_modeset_lock" },
	{ 0xfba58451, "drm_client_modeset_commit_locked" },
	{ 0xa2440a69, "drm_modeset_unlock" },
	{ 0x570528bf, "drm_panel_disable" },
	{ 0x223b9a79, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xaf5e96fb, "drm_connector_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xceb3abfe, "devm_kfree" },
	{ 0x389fc557, "_dev_err" },
	{ 0x2aca6148, "drm_writeback_cleanup_job" },
	{ 0xf774cac, "drm_modeset_lock_all_ctx" },
	{ 0x242ea0d5, "i2c_unregister_device" },
	{ 0x6b47b851, "drm_atomic_set_fb_for_plane" },
	{ 0x7401fb8b, "__drm_universal_plane_alloc" },
	{ 0xf2c28a3b, "drm_edid_connector_add_modes" },
	{ 0xddea29ac, "drm_probe_ddc" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0xc778d885, "__devres_alloc_node" },
	{ 0x3242e2, "drm_edid_read" },
	{ 0xcec02e77, "drm_crtc_commit_wait" },
	{ 0x83087650, "drm_dev_has_vblank" },
	{ 0x23f0f866, "register_framebuffer" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x4902a3de, "__drm_atomic_helper_disable_plane" },
	{ 0x5bd7a696, "drm_connector_set_orientation_from_panel" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x2ef1fa76, "drm_gem_handle_create" },
	{ 0x9403a3ad, "drm_atomic_set_crtc_for_connector" },
	{ 0x47d33ba1, "drm_analog_tv_mode" },
	{ 0xc8836372, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0xfdcb5867, "drm_mode_duplicate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xb84090fd, "drm_crtc_vblank_put" },
	{ 0x27c45e7f, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x890442c1, "__drm_dev_dbg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1936c835, "drm_plane_get_damage_clips_count" },
	{ 0x26ca9a9a, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xbd91cb9f, "drm_atomic_state_alloc" },
	{ 0xe85ac998, "drm_client_modeset_commit" },
	{ 0xa64556cf, "_dev_warn" },
	{ 0xbce731ab, "drm_atomic_bridge_chain_post_disable" },
	{ 0xfbd615d4, "drm_connector_update_edid_property" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x86d63575, "fb_set_suspend" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x78ee8bb8, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0x36f8a0aa, "drm_client_release" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x6a5f0358, "__drm_atomic_helper_set_config" },
	{ 0x1e589fa1, "mutex_trylock" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0xca03d530, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0xefd0d60a, "drm_connector_cleanup" },
	{ 0x2d4342b6, "drm_get_format_info" },
	{ 0x30691edf, "drm_universal_plane_init" },
	{ 0xeb12fb94, "drm_any_plane_has_format" },
	{ 0xa3e76c33, "drm_connector_list_iter_next" },
	{ 0x71aa0742, "drm_modeset_acquire_fini" },
	{ 0x891c63e, "drm_encoder_init" },
	{ 0xa9577ec9, "drm_object_property_get_default_value" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x968bf1fe, "param_ops_bool" },
	{ 0x16ba1caf, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xa9768de2, "drm_modeset_backoff" },
	{ 0x78442da3, "drm_panel_prepare" },
	{ 0x6eff0436, "drm_bridge_chain_mode_set" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0xf1fba443, "drm_atomic_get_plane_state" },
	{ 0x29c09554, "drm_atomic_bridge_chain_check" },
	{ 0xbc1180f7, "dma_fence_chain_init" },
	{ 0x3ad0d573, "register_sysrq_key" },
	{ 0xe062843c, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x9aa0a324, "drm_property_blob_put" },
	{ 0xbc9f2f79, "drm_mode_destroy" },
	{ 0x377932b, "drm_bridge_attach" },
	{ 0xefd7e4cb, "drm_set_preferred_mode" },
	{ 0xc974c1ef, "drm_atomic_bridge_chain_pre_enable" },
	{ 0x39a09a2b, "drm_atomic_state_clear" },
	{ 0x8dd6846f, "drm_mode_config_reset" },
	{ 0x967811a1, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0xd551cf6f, "drm_modeset_drop_locks" },
	{ 0x374f4862, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xb21822e2, "drm_atomic_bridge_chain_disable" },
	{ 0xe1b190b4, "drm_mode_create_from_cmdline_mode" },
	{ 0x620e3b3c, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x8dac2b5b, "param_ops_int" },
	{ 0xdf4d9cd1, "drm_atomic_nonblocking_commit" },
	{ 0xb4e7c40a, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x13d72b2d, "drm_master_internal_release" },
	{ 0xb0f5ea23, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x8f7c752e, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0xeb4c2d52, "drm_atomic_add_encoder_bridges" },
	{ 0x57a2081d, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xba48217a, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "fb,drm");


MODULE_INFO(srcversion, "4797698D4B330146680488B");
MODULE_INFO(rhelversion, "9.6");
