#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_ttm_print_info, "", "");
KSYMTAB_FUNC(drm_gem_ttm_vmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_mmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_dumb_map_offset, "", "");
KSYMTAB_FUNC(drm_fbdev_ttm_setup, "", "");

SYMBOL_CRC(drm_gem_ttm_print_info, 0x6761acfc, "");
SYMBOL_CRC(drm_gem_ttm_vmap, 0xb8c3aeac, "");
SYMBOL_CRC(drm_gem_ttm_vunmap, 0x56d8a748, "");
SYMBOL_CRC(drm_gem_ttm_mmap, 0xad235e8b, "");
SYMBOL_CRC(drm_gem_ttm_dumb_map_offset, 0x3c9a1157, "");
SYMBOL_CRC(drm_fbdev_ttm_setup, 0x97164053, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8728e93b, "drm_client_register" },
	{ 0xe6bdcf9c, "try_module_get" },
	{ 0xe40b9814, "drm_fb_helper_init" },
	{ 0x4812ebd7, "drm_fb_helper_debug_enter" },
	{ 0xece3970, "drm_fb_helper_lastclose" },
	{ 0xa4f8797d, "drm_fb_helper_setcmap" },
	{ 0x7cc23b15, "drm_fb_helper_alloc_info" },
	{ 0xa9b6aa97, "drm_helper_disable_unused_functions" },
	{ 0x30560243, "drm_fb_helper_unprepare" },
	{ 0xf2172f0a, "drm_fb_helper_fini" },
	{ 0x7c2a5d7e, "drm_client_framebuffer_delete" },
	{ 0x6850c1a7, "drm_client_framebuffer_create" },
	{ 0xc97f3fe, "drm_fb_helper_deferred_io" },
	{ 0xafa58276, "drm_fb_helper_release_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf1d15ae0, "drm_driver_legacy_fb_format" },
	{ 0xf234478, "drm_fb_helper_fill_info" },
	{ 0xfe2d385a, "fb_deferred_io_init" },
	{ 0x840c957d, "fb_deferred_io_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x56ac6e0b, "dev_driver_string" },
	{ 0xdc628242, "drm_fb_helper_hotplug_event" },
	{ 0xe77e3ea6, "drm_gem_object_lookup" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7f2bd8f6, "fb_sys_write" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x8eec896c, "sys_imageblit" },
	{ 0xd7e6444b, "drm_fb_helper_damage_range" },
	{ 0x7be5e753, "drm_fb_helper_blank" },
	{ 0x886cf67b, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3b6876bb, "drm_fb_helper_damage_area" },
	{ 0x50cae267, "sys_fillrect" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xe7c9b413, "module_put" },
	{ 0x65d7cd23, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xdaa70252, "drm_client_init" },
	{ 0x1a01342e, "drm_print_bits" },
	{ 0xb983fd39, "drm_fb_helper_prepare" },
	{ 0x389fc557, "_dev_err" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0x890442c1, "__drm_dev_dbg" },
	{ 0x223f9044, "fb_deferred_io_mmap" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfa7662e2, "drm_fb_helper_pan_display" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0x36f8a0aa, "drm_client_release" },
	{ 0x7b42f963, "sys_copyarea" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x999e8297, "vfree" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7d340d97, "fb_sys_read" },
	{ 0xc11040d6, "drm_fb_helper_debug_leave" },
	{ 0xf20a17d1, "ttm_bo_mmap_obj" },
	{ 0xd91eea9e, "drm_client_buffer_vunmap_local" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0xf0b06850, "ttm_bo_vmap" },
	{ 0xeeb854da, "drm_client_buffer_vmap_local" },
	{ 0xa1791701, "drm_fb_helper_initial_config" },
	{ 0xbc2e5bb3, "drm_fb_helper_unregister_info" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0x17d5ac2f, "drm_fb_helper_ioctl" },
	{ 0xff6e3d27, "drm_fb_helper_set_par" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,fb,fb_sys_fops,sysimgblt,sysfillrect,ttm,syscopyarea");


MODULE_INFO(srcversion, "F653457A327B48F862D2EFD");
MODULE_INFO(rhelversion, "9.6");
