#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cec_allocate_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_register_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_unregister_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_delete_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_get_edid_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_fill_conn_info_from_drm, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_cec_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_hpd_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_5v_event, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_attempt_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_msg, "_gpl", "");
KSYMTAB_FUNC(cec_received_msg_ts, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_s_conn_info, "_gpl", "");
KSYMTAB_FUNC(cec_s_log_addrs, "_gpl", "");

SYMBOL_CRC(cec_allocate_adapter, 0xfb83d454, "_gpl");
SYMBOL_CRC(cec_register_adapter, 0x2d993467, "_gpl");
SYMBOL_CRC(cec_unregister_adapter, 0xf8ceca29, "_gpl");
SYMBOL_CRC(cec_delete_adapter, 0xa7ba5c1a, "_gpl");
SYMBOL_CRC(cec_get_edid_phys_addr, 0xbe4de675, "_gpl");
SYMBOL_CRC(cec_fill_conn_info_from_drm, 0x05607014, "_gpl");
SYMBOL_CRC(cec_queue_pin_cec_event, 0x0ebcc090, "_gpl");
SYMBOL_CRC(cec_queue_pin_hpd_event, 0xdc0a3a32, "_gpl");
SYMBOL_CRC(cec_queue_pin_5v_event, 0xd23404c5, "_gpl");
SYMBOL_CRC(cec_transmit_done_ts, 0xd3046e4f, "_gpl");
SYMBOL_CRC(cec_transmit_attempt_done_ts, 0xf248efa1, "_gpl");
SYMBOL_CRC(cec_transmit_msg, 0x75470f23, "_gpl");
SYMBOL_CRC(cec_received_msg_ts, 0x3e02c92d, "_gpl");
SYMBOL_CRC(cec_s_phys_addr, 0x7b872a36, "_gpl");
SYMBOL_CRC(cec_s_phys_addr_from_edid, 0x7519cf3d, "_gpl");
SYMBOL_CRC(cec_s_conn_info, 0x43147f96, "_gpl");
SYMBOL_CRC(cec_s_log_addrs, 0xf161ad7b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6d068eda, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x70471346, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x8419823f, "finish_wait" },
	{ 0xf52f4472, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6ceedbdc, "seq_lseek" },
	{ 0xc9c546a2, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xed9e23ad, "__wake_up" },
	{ 0x510beb7e, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd6f625e9, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x902c0490, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4b9950f9, "debugfs_create_devm_seqfile" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x3a262343, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3143902d, "bus_unregister" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0xafe7e306, "debugfs_remove" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x5a3c8fb8, "kthread_stop" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4348159a, "__init_waitqueue_head" },
	{ 0xdfd109cd, "kthread_create_on_node" },
	{ 0x3e39e74, "seq_read" },
	{ 0x55c77741, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x968bf1fe, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x921458d, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xad63cdeb, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x251cbf2e, "seq_puts" },
	{ 0x8e9e7332, "single_release" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x8dac2b5b, "param_ops_int" },
	{ 0xa6602c49, "single_open" },
	{ 0xb4e7c40a, "debugfs_create_dir" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0xcb6d0d9b, "cdev_init" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0x637e5a0e, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6E16BA39B674A2A31DB9EFC");
MODULE_INFO(rhelversion, "9.6");
