#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x3c0ebb0e, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x3f330980, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2a467275, "skb_tx_error" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8761c87b, "rps_needed" },
	{ 0x3778b2dc, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcc2144bd, "___pskb_trim" },
	{ 0x777d8493, "__skb_get_hash_symmetric_net" },
	{ 0x2372001e, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0x4348159a, "__init_waitqueue_head" },
	{ 0xea996d8, "sock_init_data_uid" },
	{ 0x847715d5, "sk_free" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xeb6189a3, "napi_gro_receive" },
	{ 0xd94a4b57, "napi_complete_done" },
	{ 0x7054356d, "xdp_do_redirect" },
	{ 0x4c0865c3, "bpf_warn_invalid_xdp_action" },
	{ 0xa02f10ae, "__tracepoint_xdp_exception" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf1cc5419, "xdp_return_frame_rx_napi" },
	{ 0xe12d5e31, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x28981e2e, "build_skb" },
	{ 0x5a937b2e, "skb_put" },
	{ 0x134fa80b, "skb_set_owner_w" },
	{ 0x26cd9e39, "skb_page_frag_refill" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbf806732, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x1e9c7b0a, "xdp_master_redirect" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xa352eef5, "__folio_put" },
	{ 0x169e94cc, "__put_devmap_managed_page_refs" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x395bcacd, "add_wait_queue" },
	{ 0xe942afb7, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x9649ce6e, "napi_get_frags" },
	{ 0x7a3db4a4, "iov_iter_single_seg_count" },
	{ 0xaea1f83b, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x8ff371e7, "skb_queue_purge_reason" },
	{ 0xaafb64c8, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc0d30f1f, "xdp_rxq_info_unreg" },
	{ 0x43843099, "__netif_napi_del" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xe7c9b413, "module_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xad63cdeb, "seq_printf" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x2512714f, "netif_set_real_num_tx_queues" },
	{ 0x988ff186, "netif_set_real_num_rx_queues" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xebd93239, "unregister_netdevice_queue" },
	{ 0x1d1f3ce, "netdev_state_change" },
	{ 0x83687204, "consume_skb" },
	{ 0x5c38c983, "sock_recv_errqueue" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x22c9f134, "__skb_flow_dissect" },
	{ 0xa96ecd44, "skb_partial_csum_set" },
	{ 0x16be2606, "__pskb_pull_tail" },
	{ 0x468952f0, "_copy_from_iter" },
	{ 0x265f4dc5, "iov_iter_npages" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0x2bab9422, "skb_copy_datagram_from_iter" },
	{ 0xbc2ae16, "eth_type_trans" },
	{ 0x3dd1105d, "sock_alloc_send_pskb" },
	{ 0xbcdd6994, "zerocopy_sg_from_iter" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0xb04ea55e, "do_xdp_generic" },
	{ 0xd90cf0f5, "iov_iter_revert" },
	{ 0xe2bb57a3, "skb_push" },
	{ 0x75d549a7, "eth_get_headlen" },
	{ 0x4a2f65fa, "napi_gro_frags" },
	{ 0x9a3e09e5, "napi_schedule_prep" },
	{ 0x98428c8c, "__napi_schedule" },
	{ 0x88fcf016, "__page_frag_cache_drain" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x13744b21, "xdp_rxq_info_is_reg" },
	{ 0xcb4b375a, "__xdp_rxq_info_reg" },
	{ 0xc82d11df, "xdp_rxq_info_reg_mem_model" },
	{ 0x2d46c6cf, "netif_napi_add_weight" },
	{ 0x4c043e48, "napi_enable" },
	{ 0xa95beb73, "lock_sock_nested" },
	{ 0x8c410df4, "sk_attach_filter" },
	{ 0x23f0486f, "release_sock" },
	{ 0x7621689c, "__dev_get_by_name" },
	{ 0xe9052cac, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x87de5b63, "alloc_netdev_mqs" },
	{ 0x9f8ed4ff, "ip_tunnel_header_ops" },
	{ 0x43550086, "register_netdevice" },
	{ 0x10d59553, "netif_tx_wake_queue" },
	{ 0x515c0541, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa2ddaca8, "free_netdev" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x4d2cc237, "get_net_ns" },
	{ 0xf2268442, "open_related_ns" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x3e33657b, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xdb75aa70, "make_kgid" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x294b77fa, "make_kuid" },
	{ 0xa545948c, "init_user_ns" },
	{ 0xee39a9b9, "from_kuid" },
	{ 0xf4815156, "sk_detach_filter" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xaff94467, "netdev_update_features" },
	{ 0x4058718, "dev_set_mac_address_user" },
	{ 0xf191f3a5, "call_netdevice_notifiers" },
	{ 0x9814cdf3, "__module_get" },
	{ 0x47d9f16, "from_kgid" },
	{ 0xda992ea3, "passthru_features_check" },
	{ 0xe554e7a1, "eth_mac_addr" },
	{ 0x73bbc7e9, "eth_validate_addr" },
	{ 0x506afbe7, "ethtool_op_get_link" },
	{ 0xe119e9b4, "ethtool_op_get_ts_info" },
	{ 0x875dc127, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa91f4613, "fasync_helper" },
	{ 0x69e8c366, "pcpu_hot" },
	{ 0x7b33dff3, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa5a6dc56, "netdev_info" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xff0d5fe1, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf00a075f, "nla_put" },
	{ 0xcb0081c1, "from_kgid_munged" },
	{ 0x1d346863, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x5903ad2b, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x375b0747, "dev_get_tstats64" },
	{ 0x15e40057, "netif_tx_stop_all_queues" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7801f4ef, "bpf_prog_get_type_dev" },
	{ 0x92997ed8, "_printk" },
	{ 0xfb83a7d1, "rtnl_link_register" },
	{ 0xace428bb, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe968aeed, "misc_deregister" },
	{ 0xcd652ab8, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x63d79a89, "xdp_return_frame" },
	{ 0x48876555, "sk_skb_reason_drop" },
	{ 0xa4c96f8c, "__wake_up_sync_key" },
	{ 0x4e707f2c, "kill_fasync" },
	{ 0x3634145, "netif_carrier_on" },
	{ 0xf704c6e5, "netif_carrier_off" },
	{ 0x10913532, "bpf_prog_put" },
	{ 0x33163b96, "_copy_to_iter" },
	{ 0xc394d6fc, "skb_copy_datagram_iter" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x7d437ccc, "iov_iter_advance" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3654fbba, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb44266c4, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x34c9531b, "skb_clone_tx_timestamp" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcefe4b4a, "skb_copy_ubufs" },
	{ 0x17d69815, "netdev_core_stats_inc" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "69317770A27BA864FFAF603");
MODULE_INFO(rhelversion, "9.6");
