#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x062861d4, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0xee2bc5b7, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x0277e5f0, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x8fdd4afd, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0xd2e3f3f1, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0x77fbc104, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x97d0903b, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x3c7abe4a, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x956c10f9, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0xf710daa6, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x9375f514, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0xfd9b46cd, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x8b5a4563, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0xfd975364, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x46de1919, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x9604f5f6, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x481853c1, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x00475c1b, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0xf714d08f, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x30487d09, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0xb2dc611f, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x7e511ef4, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x750359ca, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x30602621, "_gpl");
SYMBOL_CRC(nvme_set_features, 0xd8f788d8, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x6a75d8fe, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x0ed13be0, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x9e075994, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x9698b7c0, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0xa0794cce, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0xbd380834, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x2a77fd4a, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0xccc60e5a, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x4a0fc719, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0xc870d82f, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x67d6ea9f, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x59d9a5b0, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x7d555f6d, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x346c8115, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0xe8d49197, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0xb098b57d, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0x1a97a9d7, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x79e215d8, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0xe64a995c, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x289b3753, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0xb9daf793, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x76cf40c6, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0xfce2042c, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x9e321f70, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x15e5585d, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0x898ee139, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x1e7d031a, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0xe4c8e776, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0xd30eb665, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x80449d36, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x289ec7aa, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x50867f26, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x29e2cf67, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0xe568860e, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x925ce58d, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x83e0aa88, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x11777329, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x789e940e, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0x6c1475ca, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x401a1db4, "set_capacity_and_notify" },
	{ 0x1337ac7f, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x1f619378, "set_disk_ro" },
	{ 0xe1ec0f87, "__blk_alloc_disk" },
	{ 0xba71775d, "ida_alloc_range" },
	{ 0xe6bdcf9c, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x91a99b68, "blk_rq_integrity_map_user" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x2490f90e, "ida_destroy" },
	{ 0xda25af9a, "device_remove_file_self" },
	{ 0xe2f917de, "param_ops_uint" },
	{ 0x5630def0, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6d068eda, "dev_set_name" },
	{ 0x2c8799a3, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0xb6345f8d, "dev_pm_qos_expose_latency_tolerance" },
	{ 0xf9280480, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7c567919, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xa157685e, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x70471346, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x8419823f, "finish_wait" },
	{ 0x18500beb, "queue_limits_stack_bdev" },
	{ 0x76c93765, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0xf52f4472, "device_initialize" },
	{ 0x4299cc88, "blk_mq_unquiesce_queue" },
	{ 0x55a50378, "blk_mq_quiesce_queue" },
	{ 0xa165ab61, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd1626e90, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x69e8c366, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf6625233, "bpf_trace_run2" },
	{ 0xc9c546a2, "prepare_to_wait_event" },
	{ 0x1e4cbda1, "disk_uevent" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x6c09ffc4, "event_triggers_call" },
	{ 0xed9e23ad, "__wake_up" },
	{ 0x9b8a488d, "synchronize_srcu" },
	{ 0x22480e65, "param_ops_byte" },
	{ 0xe4b75acb, "kmem_cache_create" },
	{ 0x510beb7e, "get_device" },
	{ 0x997c4b2e, "blk_mq_end_request" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x87e8d1c2, "__blk_mq_alloc_disk" },
	{ 0x7113932f, "__dynamic_dev_dbg" },
	{ 0x77c6724b, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ee8f67e, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x819fa133, "blk_mq_alloc_tag_set" },
	{ 0x99fc0cea, "blk_rq_is_poll" },
	{ 0xce9939d, "trace_event_buffer_commit" },
	{ 0x64520669, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0x954d84bb, "mempool_create" },
	{ 0xc462dd95, "put_disk" },
	{ 0x50804477, "crypto_alloc_kpp" },
	{ 0x902c0490, "cdev_device_add" },
	{ 0x3b788dba, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xd9efc3d4, "blk_execute_rq" },
	{ 0x3a262343, "put_device" },
	{ 0x63aaeef, "trace_event_ignore_this_pid" },
	{ 0x71ef5662, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0x4c6caca3, "kmalloc_node_trace" },
	{ 0x93cb81a1, "mempool_alloc" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8b3dffa6, "blk_mq_free_request" },
	{ 0x618911fc, "numa_node" },
	{ 0xea4e32eb, "__free_pages" },
	{ 0x5afa602c, "_dev_info" },
	{ 0xcc83a0f5, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe7c9b413, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xa4d9f58, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x28cbc347, "nvme_auth_gen_pubkey" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9ce65285, "compat_ptr_ioctl" },
	{ 0x6470e75, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x6e887fc2, "blk_mq_quiesce_tagset" },
	{ 0x514640d2, "kobject_uevent_env" },
	{ 0xdaad6bae, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd0f5e316, "init_srcu_struct" },
	{ 0x5964dfd3, "perf_trace_run_bpf_submit" },
	{ 0xe9852cdd, "__SCK__tp_func_block_bio_remap" },
	{ 0x389fc557, "_dev_err" },
	{ 0x93e1b168, "blk_revalidate_disk_zones" },
	{ 0x44083f65, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf689bcc, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xff559a36, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x3a81dd16, "sysfs_remove_link" },
	{ 0x28be74b3, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xbfbac4d3, "__srcu_read_lock" },
	{ 0x47af6c26, "set_capacity" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x4633aa0c, "submit_bio_noacct" },
	{ 0xc6faee7, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0x3920aea7, "blk_sync_queue" },
	{ 0x3a8d53cb, "bdev_start_io_acct" },
	{ 0x5a921311, "strncmp" },
	{ 0x45c45577, "__SCK__tp_func_block_bio_complete" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x50d0e443, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xd1cecb03, "blk_mq_alloc_request_hctx" },
	{ 0xa49d481e, "blk_mq_alloc_request" },
	{ 0xde56b1a, "ida_free" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2921685b, "crypto_shash_update" },
	{ 0xda4321c9, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x29debb1b, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x36291d5b, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa87f209, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x42feebc5, "blk_set_stacking_limits" },
	{ 0xb3ed23a1, "blk_mq_freeze_queue_wait_timeout" },
	{ 0xb85b9ed2, "blk_put_queue" },
	{ 0xdaeacd32, "bpf_trace_run1" },
	{ 0x96fda511, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xfb578fc5, "memset" },
	{ 0xa64556cf, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x9d5039d1, "blk_mq_wait_quiesce_done" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x4348159a, "__init_waitqueue_head" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0xbd8604d6, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x360e1982, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0xdb185435, "xa_erase" },
	{ 0xfb258442, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xcb8dc448, "blk_mq_complete_request" },
	{ 0x85d56b81, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x475643f2, "trace_event_buffer_reserve" },
	{ 0x9bd0d94, "crypto_shash_final" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x968bf1fe, "param_ops_bool" },
	{ 0x91b62bf2, "blk_mq_destroy_queue" },
	{ 0x39d33384, "xa_destroy" },
	{ 0x2a6da370, "blk_freeze_queue_start" },
	{ 0x1493bf79, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x30482675, "xa_find" },
	{ 0xc0bda599, "alloc_pages" },
	{ 0x54666acc, "mempool_destroy" },
	{ 0x9f41e265, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1c60473b, "__tracepoint_block_bio_complete" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x353e0a31, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x18d77897, "__srcu_read_unlock" },
	{ 0xde9a0e9f, "__tracepoint_block_bio_remap" },
	{ 0xea4d81f, "blk_mq_unfreeze_queue" },
	{ 0xca5b4c93, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x26716f78, "queue_limits_commit_update" },
	{ 0x1b428dde, "blkdev_compat_ptr_ioctl" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5595bf60, "xa_find_after" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0x6c80f05d, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc051a6dc, "crypto_alloc_shash" },
	{ 0x960d34d1, "blk_mq_freeze_queue_wait" },
	{ 0x9de68ce2, "nvme_auth_gen_privkey" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xe8cdbc7f, "blk_mq_requeue_request" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0xdcd95fe7, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xcb6d0d9b, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x85a37ed3, "bdev_end_io_acct" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0x5369726, "blk_steal_bios" },
	{ 0xafc9d901, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "F02EA9D30425E87D0B882CD");
MODULE_INFO(rhelversion, "9.6");
