#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_subsystem_reset, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0xb11468ac, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0x7dfaca0b, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0xcc7b564a, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0x4cbc062d, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0x436f92a9, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0x7ad7e6e6, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0x7d4a42a5, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0x74ad5674, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0x7ed4b958, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0x0a3a23e8, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0x07e5df24, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0x68de2d47, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0x82a0f075, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0xdaf8b55e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe6bdcf9c, "try_module_get" },
	{ 0xe968aeed, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3a262343, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x5afa602c, "_dev_info" },
	{ 0xe7c9b413, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6afc4da2, "key_put" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xe906823c, "down_write" },
	{ 0x389fc557, "_dev_err" },
	{ 0x61520178, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0x4424668e, "device_create" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x2542dab5, "seq_putc" },
	{ 0xda4321c9, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf714d08f, "__nvme_submit_sync_cmd" },
	{ 0x62861d4, "nvme_try_sched_reset" },
	{ 0xa64556cf, "_dev_warn" },
	{ 0xace428bb, "misc_register" },
	{ 0x83e0aa88, "nvme_auth_wait" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xd9b689a9, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3e39e74, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x44e9a829, "match_token" },
	{ 0x18f1e10b, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xad63cdeb, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x251cbf2e, "seq_puts" },
	{ 0x8e9e7332, "single_release" },
	{ 0x9375f514, "nvme_wait_reset" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xa6602c49, "single_open" },
	{ 0x856f2b71, "up_read" },
	{ 0xdcd95fe7, "class_register" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x925ce58d, "nvme_auth_negotiate" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "nvme-core");


MODULE_INFO(srcversion, "0477BCE7376D93EBFFDF668");
MODULE_INFO(rhelversion, "9.6");
