#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dlm_new_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_release_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_get, "_gpl", "");

SYMBOL_CRC(dlm_new_lockspace, 0xcd224e1d, "_gpl");
SYMBOL_CRC(dlm_release_lockspace, 0xcf9f3328, "_gpl");
SYMBOL_CRC(dlm_lock, 0x647d6170, "_gpl");
SYMBOL_CRC(dlm_unlock, 0x4b62826c, "_gpl");
SYMBOL_CRC(dlm_posix_lock, 0xd8671fcd, "_gpl");
SYMBOL_CRC(dlm_posix_unlock, 0xf6f52c25, "_gpl");
SYMBOL_CRC(dlm_posix_get, 0x2d79bb3e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe6bdcf9c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xfd427458, "__init_rwsem" },
	{ 0xe968aeed, "misc_deregister" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x590bf54, "config_group_init" },
	{ 0x9266ac4d, "idr_find" },
	{ 0x83338c39, "config_group_find_item" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0x448c9982, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x3c7828cb, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbc89c226, "sock_set_mark" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x8419823f, "finish_wait" },
	{ 0x30bd16e1, "config_item_get" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x75e14530, "kernel_bind" },
	{ 0x351bae9d, "genlmsg_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x47bfa70c, "posix_lock_file" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xaecba688, "kset_unregister" },
	{ 0x69e8c366, "pcpu_hot" },
	{ 0x6ceedbdc, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xbaf511d9, "kernel_kobj" },
	{ 0x395bcacd, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f365271, "__tracepoint_sk_data_ready" },
	{ 0x8fab916, "call_srcu" },
	{ 0xc9c546a2, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xed9e23ad, "__wake_up" },
	{ 0x9b8a488d, "synchronize_srcu" },
	{ 0xa05cb0fd, "kernel_accept" },
	{ 0x92c3e9f, "kernel_recvmsg" },
	{ 0xe4b75acb, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa8c00841, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2a984f40, "configfs_unregister_subsystem" },
	{ 0xd6f625e9, "wake_up_process" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf5c03b5e, "locks_lock_inode_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xa2692785, "sock_set_sndtimeo" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa7367879, "__alloc_skb" },
	{ 0xad7a2cf2, "locks_init_lock" },
	{ 0xf249e7ca, "kernel_sendpage" },
	{ 0x843a0c6d, "idr_get_next" },
	{ 0xea4e32eb, "__free_pages" },
	{ 0xd16168fc, "rt_write_unlock" },
	{ 0xbe416e3, "kmem_cache_alloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe7c9b413, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x420efb81, "idr_remove" },
	{ 0x61651be, "strcat" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe906823c, "down_write" },
	{ 0x36418605, "init_net" },
	{ 0x61520178, "up_write" },
	{ 0x428da9cf, "simple_open" },
	{ 0x84cdd6c, "configfs_register_subsystem" },
	{ 0xa6666f1e, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xfff86a4f, "configfs_remove_default_groups" },
	{ 0xbfbac4d3, "__srcu_read_lock" },
	{ 0xf5ac02c6, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x48876555, "sk_skb_reason_drop" },
	{ 0xe0a749da, "netlink_unicast" },
	{ 0x34b51f05, "noop_llseek" },
	{ 0x20d0bd5f, "__SCK__tp_func_sk_data_ready" },
	{ 0x7ae3dca2, "config_group_init_type_name" },
	{ 0x96bfdd86, "kernel_sock_shutdown" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0x55c7c10d, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xafe7e306, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x2542dab5, "seq_putc" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf1e046cc, "panic" },
	{ 0x93403dd9, "kobject_init_and_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa95beb73, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5a3c8fb8, "kthread_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22dc74e0, "sock_set_rcvbuf" },
	{ 0x11089ac7, "_ctype" },
	{ 0x7653e92d, "idr_destroy" },
	{ 0x20303826, "default_llseek" },
	{ 0xc438ded5, "sock_set_reuseaddr" },
	{ 0xfb578fc5, "memset" },
	{ 0xace428bb, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4348159a, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0xd9b689a9, "down_read" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdfd109cd, "kthread_create_on_node" },
	{ 0x3e39e74, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x13c403fd, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x45e13840, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x55c77741, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0xf4e67a8f, "config_item_init_type_name" },
	{ 0x42fe79bc, "sock_create_kern" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xc0bda599, "alloc_pages" },
	{ 0xc7d8c916, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa5c8051a, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xad63cdeb, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x18d77897, "__srcu_read_unlock" },
	{ 0x4ddacc97, "rt_write_lock" },
	{ 0x463744a5, "kobject_uevent" },
	{ 0xbe211890, "sock_release" },
	{ 0x251cbf2e, "seq_puts" },
	{ 0xe942afb7, "remove_wait_queue" },
	{ 0x8e9e7332, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x819132fb, "tcp_sock_set_nodelay" },
	{ 0x811ebe5c, "seq_open" },
	{ 0x47a13ad7, "genl_unregister_family" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xa6602c49, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb4e7c40a, "debugfs_create_dir" },
	{ 0xf2a9b226, "genl_register_family" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x856f2b71, "up_read" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0x843e4cde, "sock_bind_add" },
	{ 0x716d5e39, "locks_copy_lock" },
	{ 0xafc9d901, "kmem_cache_destroy" },
	{ 0x23f0486f, "release_sock" },
	{ 0x70de5a21, "kset_create_and_add" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x76b9907, "kobject_put" },
	{ 0x8be3f635, "sock_set_keepalive" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9686C9FD92FB6E5873869D2");
MODULE_INFO(rhelversion, "9.6");
