#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nlmclnt_init, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_done, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_rpc_clnt, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_proc, "_gpl", "");
KSYMTAB_DATA(nlmsvc_ops, "_gpl", "");
KSYMTAB_FUNC(lockd_up, "_gpl", "");
KSYMTAB_FUNC(lockd_down, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_sb, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_ip, "_gpl", "");

SYMBOL_CRC(nlmclnt_init, 0x29ee00ea, "_gpl");
SYMBOL_CRC(nlmclnt_done, 0x36677c84, "_gpl");
SYMBOL_CRC(nlmclnt_rpc_clnt, 0x132600b9, "_gpl");
SYMBOL_CRC(nlmclnt_proc, 0x4c9a9a85, "_gpl");
SYMBOL_CRC(nlmsvc_ops, 0x9802a6a8, "_gpl");
SYMBOL_CRC(lockd_up, 0xd4e8d5bc, "_gpl");
SYMBOL_CRC(lockd_down, 0x67757338, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_sb, 0x4827d8c5, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_ip, 0x77e35ccc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfc63ae71, "rpc_put_task" },
	{ 0xbbaa1cee, "svc_generic_rpcbind_set" },
	{ 0xbddde5b9, "svc_wake_up" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xfd427458, "__init_rwsem" },
	{ 0x4114b1b6, "bpf_trace_run4" },
	{ 0xe2f917de, "param_ops_uint" },
	{ 0xa33111b3, "register_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xbfbe2178, "rpc_shutdown_client" },
	{ 0xb0274a91, "svc_bind" },
	{ 0x4719f0f5, "proc_create" },
	{ 0x262dd988, "svc_recv" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6375b7b1, "xdr_inline_decode" },
	{ 0x7c567919, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x1fe1e1ad, "locks_end_grace" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x8419823f, "finish_wait" },
	{ 0x76c93765, "trace_event_printf" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x16233295, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xa165ab61, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x24947956, "simple_transaction_get" },
	{ 0x37a0cba, "kfree" },
	{ 0xcb201603, "vfs_test_lock" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xf361c807, "svc_exit_thread" },
	{ 0x69e8c366, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0xc9c546a2, "prepare_to_wait_event" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x6c09ffc4, "event_triggers_call" },
	{ 0xed9e23ad, "__wake_up" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x8a508e64, "param_get_ulong" },
	{ 0x592e8f02, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa2a5d70c, "__put_cred" },
	{ 0xbf924aed, "register_pernet_subsys" },
	{ 0x871e8dca, "locks_in_grace" },
	{ 0xd6f625e9, "wake_up_process" },
	{ 0xce9939d, "trace_event_buffer_commit" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa06ce0b, "proc_dobool" },
	{ 0xf5c03b5e, "locks_lock_inode_wait" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x571eddab, "unregister_sysctl_table" },
	{ 0x63aaeef, "trace_event_ignore_this_pid" },
	{ 0x96bbf8f, "locks_release_private" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xad7a2cf2, "locks_init_lock" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2f832c3d, "simple_transaction_release" },
	{ 0x4757107e, "svc_xprt_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc30a1389, "svc_age_temp_xprts_now" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5964dfd3, "perf_trace_run_bpf_submit" },
	{ 0xe906823c, "down_write" },
	{ 0x36418605, "init_net" },
	{ 0x61520178, "up_write" },
	{ 0x63218722, "svc_set_num_threads" },
	{ 0x6369a5ab, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0x175ba4ef, "vfs_cancel_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x93ac18ba, "proc_doulongvec_minmax" },
	{ 0x50d0e443, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x53445f68, "nlm_debug" },
	{ 0xd17c4e17, "freezing_slow_path" },
	{ 0xfbacc821, "rpc_create" },
	{ 0xc59518b9, "svc_destroy" },
	{ 0x932bf77e, "rpc_call_start" },
	{ 0x8d0a20da, "svc_create" },
	{ 0x20303826, "default_llseek" },
	{ 0xc4bcf146, "rpc_call_sync" },
	{ 0x277616f4, "proc_mkdir" },
	{ 0x3730fcc6, "unregister_pernet_subsys" },
	{ 0x98e1ad1f, "vfs_lock_file" },
	{ 0x1fd5d0c6, "rpc_delay" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4348159a, "__init_waitqueue_head" },
	{ 0xe4f034a9, "svc_generic_init_request" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0xd9b689a9, "down_read" },
	{ 0x4ffa1cc8, "svc_set_client" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0xfd839a32, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdfd109cd, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x87b2dba9, "rpc_force_rebind" },
	{ 0x475643f2, "trace_event_buffer_reserve" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x968bf1fe, "param_ops_bool" },
	{ 0x98b83fae, "rpc_restart_call" },
	{ 0xb29f29e8, "svc_xprt_destroy_all" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0xe4b295d6, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9ea82fa5, "svc_find_xprt" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x46db143e, "proc_dointvec" },
	{ 0x8e699313, "svc_print_addr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0xc794d77c, "locks_delete_block" },
	{ 0x754d539c, "strlen" },
	{ 0xc5a496bd, "locks_start_grace" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x8b843277, "param_get_int" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x856f2b71, "up_read" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0xd29a216e, "svc_xprt_create" },
	{ 0xf815c58e, "rpc_wait_for_completion_task" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0x716d5e39, "locks_copy_lock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x42aaab9, "proc_dointvec_minmax" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,grace");


MODULE_INFO(srcversion, "B2433ABB3770CFD41D926C7");
MODULE_INFO(rhelversion, "9.6");
