#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_sock_linked, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0xa7cddc1c, "");
SYMBOL_CRC(bt_sock_register, 0x622a2261, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0xd539c19a, "");
SYMBOL_CRC(bt_sock_link, 0xb66f57bf, "");
SYMBOL_CRC(bt_sock_unlink, 0x55d0dec8, "");
SYMBOL_CRC(bt_sock_linked, 0xbfc3b557, "");
SYMBOL_CRC(bt_accept_enqueue, 0x902e361c, "");
SYMBOL_CRC(bt_accept_unlink, 0x7c15d4f3, "");
SYMBOL_CRC(bt_accept_dequeue, 0x80be98a5, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x36e9e79e, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x199ef731, "");
SYMBOL_CRC(bt_sock_poll, 0x2f34902e, "");
SYMBOL_CRC(bt_sock_ioctl, 0x9e3ef3f4, "");
SYMBOL_CRC(bt_sock_wait_state, 0x0d8163bd, "");
SYMBOL_CRC(bt_sock_wait_ready, 0xf76dab6b, "");
SYMBOL_CRC(bt_procfs_init, 0x336f5c15, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x7a52c7ee, "");
SYMBOL_CRC(bt_debugfs, 0x85fadec2, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x787948dd, "");
SYMBOL_CRC(hci_free_dev, 0x91a7c3b6, "");
SYMBOL_CRC(hci_register_dev, 0x2a9c238a, "");
SYMBOL_CRC(hci_unregister_dev, 0xe77df9f7, "");
SYMBOL_CRC(hci_release_dev, 0x0d84739c, "");
SYMBOL_CRC(hci_suspend_dev, 0x29b134c7, "");
SYMBOL_CRC(hci_resume_dev, 0xc084a251, "");
SYMBOL_CRC(hci_reset_dev, 0xaa2eede2, "");
SYMBOL_CRC(hci_recv_frame, 0x6f87931d, "");
SYMBOL_CRC(hci_recv_diag, 0x21faf3eb, "");
SYMBOL_CRC(hci_set_hw_info, 0x01147037, "");
SYMBOL_CRC(hci_set_fw_info, 0x912e835e, "");
SYMBOL_CRC(hci_register_cb, 0x2b8c5dc5, "");
SYMBOL_CRC(hci_unregister_cb, 0xcecc08a6, "");
SYMBOL_CRC(__hci_cmd_send, 0xcaf30aef, "");
SYMBOL_CRC(hci_get_route, 0x434333a5, "");
SYMBOL_CRC(hci_conn_security, 0x370013f6, "");
SYMBOL_CRC(hci_conn_check_secure, 0x46be490e, "");
SYMBOL_CRC(hci_conn_switch_role, 0x2f4072c2, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x03b213ec, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x677d62a4, "");
SYMBOL_CRC(l2cap_add_psm, 0x792799ec, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0xb816c5d4, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0xf3e298db, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x25bf1948, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0xcd8c98f8, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x351e8336, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0x322207d6, "");
SYMBOL_CRC(l2cap_register_user, 0xc66eabd6, "");
SYMBOL_CRC(l2cap_unregister_user, 0x06160b5e, "");
SYMBOL_CRC(l2cap_conn_get, 0xe9c68e0e, "");
SYMBOL_CRC(l2cap_conn_put, 0xb6f77823, "");
SYMBOL_CRC(l2cap_chan_send, 0x14a20332, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x682aabab, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x4fb068a8, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x025da6ad, "");
SYMBOL_CRC(__hci_cmd_sync, 0xec5e85ab, "");
SYMBOL_CRC(hci_cmd_sync, 0xcfc6d8f5, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0xf33322bc, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0xe7900c71, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0xd5d06a87, "");
SYMBOL_CRC(hci_cmd_sync_status, 0xbbae57d9, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x467b7665, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0x5df123bd, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0xd83ae5c6, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0x3252e2d8, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0x39db6580, "");
SYMBOL_CRC(hci_cmd_sync_run, 0xbc727e62, "");
SYMBOL_CRC(hci_cmd_sync_run_once, 0x0977d80c, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0xe1887744, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0xc42a17de, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0xe222db14, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x17c8d25b, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0x29ea5fed, "");
SYMBOL_CRC(hci_devcd_init, 0xa58ab853, "");
SYMBOL_CRC(hci_devcd_append, 0x95a4a224, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0xe5cdff74, "");
SYMBOL_CRC(hci_devcd_complete, 0xea8d27c2, "");
SYMBOL_CRC(hci_devcd_abort, 0xf7171823, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x15aab216, "skb_free_datagram" },
	{ 0x502e09dc, "sock_queue_rcv_skb_reason" },
	{ 0xba71775d, "ida_alloc_range" },
	{ 0xe6bdcf9c, "try_module_get" },
	{ 0x994fb8df, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x87bd7294, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0x2490f90e, "ida_destroy" },
	{ 0x9266ac4d, "idr_find" },
	{ 0x437a790d, "debugfs_attr_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x5a937b2e, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x6d068eda, "dev_set_name" },
	{ 0x660e036d, "scm_detach_fds" },
	{ 0x4cd3ed96, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xb0d018b1, "device_unregister" },
	{ 0x9916aa54, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x5d8262af, "debugfs_create_u16" },
	{ 0x8419823f, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xc725d901, "add_wait_queue_exclusive" },
	{ 0xf52f4472, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x69e8c366, "pcpu_hot" },
	{ 0x6ceedbdc, "seq_lseek" },
	{ 0x395bcacd, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x100dae2, "sock_no_connect" },
	{ 0xc9c546a2, "prepare_to_wait_event" },
	{ 0x8b99a57a, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xed9e23ad, "__wake_up" },
	{ 0x9814cdf3, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x510beb7e, "get_device" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xb994cd0f, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa2a5d70c, "__put_cred" },
	{ 0x9e07487b, "put_cmsg" },
	{ 0x8ff371e7, "skb_queue_purge_reason" },
	{ 0x64520669, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd5b64dc4, "disable_delayed_work" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0x50804477, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0xb95d7d59, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbe5c62db, "sock_register" },
	{ 0xd1bc67bd, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x3a262343, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xa7367879, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x843a0c6d, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xd16168fc, "rt_write_unlock" },
	{ 0x66cfe073, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6bc9dc13, "skb_queue_tail" },
	{ 0xe7c9b413, "module_put" },
	{ 0x5a4101d, "__sock_recv_ts_and_drops" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x420efb81, "idr_remove" },
	{ 0x14e54aba, "debugfs_attr_read" },
	{ 0x6fade45b, "__sock_recv_timestamp" },
	{ 0xccdf0c1, "sock_no_shutdown" },
	{ 0xb44266c4, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xd361253b, "crypto_req_done" },
	{ 0x36418605, "init_net" },
	{ 0x44083f65, "crypto_shash_setkey" },
	{ 0x428da9cf, "simple_open" },
	{ 0x31d11008, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf689bcc, "device_add" },
	{ 0xa6666f1e, "idr_alloc" },
	{ 0xf57b6927, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x406884, "init_uts_ns" },
	{ 0x48876555, "sk_skb_reason_drop" },
	{ 0x847715d5, "sk_free" },
	{ 0x78552494, "device_move" },
	{ 0x7f71d8f9, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0xe2bb57a3, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x146027c8, "sock_no_listen" },
	{ 0xafe7e306, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x2542dab5, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x98d7fb29, "iov_iter_kvec" },
	{ 0xde56b1a, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0xda4321c9, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xa95beb73, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd820f875, "device_find_child" },
	{ 0xab508b73, "dev_coredumpv" },
	{ 0xc394d6fc, "skb_copy_datagram_iter" },
	{ 0xdc9ca678, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0x2372001e, "sk_alloc" },
	{ 0x96fda511, "device_del" },
	{ 0x668e73c4, "__sock_queue_rcv_skb" },
	{ 0x7653e92d, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x20303826, "default_llseek" },
	{ 0x8b3b6bce, "__sock_recv_wifi_status" },
	{ 0xee39a9b9, "from_kuid" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x74b816d, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x2acab094, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x454a104a, "sock_no_mmap" },
	{ 0x4348159a, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x16be2606, "__pskb_pull_tail" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x98c43c84, "__scm_destroy" },
	{ 0xcb0081c1, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x7313578e, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0xcfa18818, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3e39e74, "seq_read" },
	{ 0x45e13840, "rt_read_lock" },
	{ 0xdaf4e73f, "sock_i_ino" },
	{ 0x55c77741, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78369a7c, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x968bf1fe, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x2a63197c, "skb_recv_datagram" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3dd1105d, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa5c8051a, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe4b295d6, "remove_proc_entry" },
	{ 0xf0d4b8f6, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xad63cdeb, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x1fbd67fc, "skb_copy" },
	{ 0x2a4976b1, "skb_clone" },
	{ 0x4ddacc97, "rt_write_lock" },
	{ 0x468952f0, "_copy_from_iter" },
	{ 0xdd466b5c, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xe942afb7, "remove_wait_queue" },
	{ 0x251cbf2e, "seq_puts" },
	{ 0xcfd55bae, "sock_gettstamp" },
	{ 0x8e9e7332, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xea06c7ef, "pid_vnr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x32768431, "disable_delayed_work_sync" },
	{ 0x1d346863, "from_kuid_munged" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xd90cf0f5, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x789c3c5a, "proc_create_seq_private" },
	{ 0x440f9394, "debugfs_create_u8" },
	{ 0xa6602c49, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xc051a6dc, "crypto_alloc_shash" },
	{ 0xb4e7c40a, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xbfebde56, "fwnode_property_read_u8_array" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0x1498f002, "put_pid" },
	{ 0xdcd95fe7, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x38455630, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x782185af, "__dev_fwnode" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x23f0486f, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbc9fde6a, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "42A6F3DCDDE89A61A59E825");
MODULE_INFO(rhelversion, "9.6");
