#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_nfit_uuid, "", "");
KSYMTAB_FUNC(acpi_nfit_ctl, "_gpl", "");
KSYMTAB_FUNC(nfit_get_smbios_id, "_gpl", "");
KSYMTAB_FUNC(__acpi_nvdimm_notify, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_init, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_desc_init, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_shutdown, "_gpl", "");
KSYMTAB_FUNC(__acpi_nfit_notify, "_gpl", "");

SYMBOL_CRC(to_nfit_uuid, 0x06848c60, "");
SYMBOL_CRC(acpi_nfit_ctl, 0xa1742622, "_gpl");
SYMBOL_CRC(nfit_get_smbios_id, 0x499bbf57, "_gpl");
SYMBOL_CRC(__acpi_nvdimm_notify, 0x984d587c, "_gpl");
SYMBOL_CRC(acpi_nfit_init, 0x21d8009b, "_gpl");
SYMBOL_CRC(acpi_nfit_desc_init, 0xd296e2ab, "_gpl");
SYMBOL_CRC(acpi_nfit_shutdown, 0x4639bcda, "_gpl");
SYMBOL_CRC(__acpi_nfit_notify, 0x430573a3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda3e8f52, "nvdimm_region_notify" },
	{ 0x689d79d0, "mce_usable_address" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x92258f10, "nd_region_provider_data" },
	{ 0x67856118, "nvdimm_bus_add_badrange" },
	{ 0x5630def0, "param_ops_ulong" },
	{ 0xa01a8d9b, "nd_cmd_bus_desc" },
	{ 0x8b7c7576, "devm_kmalloc" },
	{ 0x27448c3, "to_nvdimm" },
	{ 0xf2d7d87, "mce_unregister_decode_chain" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x45057958, "__nvdimm_create" },
	{ 0x4e2c2a4c, "to_nd_region" },
	{ 0x9258c13d, "nvdimm_bus_check_dimm_count" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2b5f8a6a, "acpi_dev_remove_notify_handler" },
	{ 0x36173c1d, "phys_to_target_node" },
	{ 0x1b074f, "mce_is_correctable" },
	{ 0x7113932f, "__dynamic_dev_dbg" },
	{ 0xc4b7a859, "kernfs_notify" },
	{ 0x60cbf203, "to_nvdimm_bus" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8a665bfa, "numa_nearest_node" },
	{ 0x56ac6e0b, "dev_driver_string" },
	{ 0xe4746e58, "__acpi_bus_register_driver" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa08322ce, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x638a9653, "memory_add_physaddr_to_nid" },
	{ 0x5afa602c, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0xc2c5802, "work_busy" },
	{ 0x92b99a33, "acpi_put_table" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xec72a210, "acpi_dev_install_notify_handler" },
	{ 0x7e73ca83, "to_nd_desc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x389fc557, "_dev_err" },
	{ 0x9f8cb58e, "nd_cmd_out_size" },
	{ 0xb7c0f443, "sort" },
	{ 0xb501b2df, "nd_cmd_dimm_desc" },
	{ 0xe2d58c39, "nvdimm_bus_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0x75d2259d, "kernfs_find_and_get_ns" },
	{ 0x664e7770, "nvdimm_name" },
	{ 0x6d5461d, "to_nvdimm_bus_dev" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xc585138b, "nvdimm_volatile_region_create" },
	{ 0xdb139187, "nvdimm_provider_data" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xfb578fc5, "memset" },
	{ 0xa64556cf, "_dev_warn" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdae6fe49, "nvdimm_in_overwrite" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4b717ab8, "nvdimm_to_bus" },
	{ 0xcff1dd05, "nvdimm_bus_register" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4fd79e6, "nd_region_dev" },
	{ 0x16cdc340, "acpi_get_table" },
	{ 0x4f9112d7, "nd_cmd_in_size" },
	{ 0x6790ebd3, "mce_is_memory_error" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x968bf1fe, "param_ops_bool" },
	{ 0xe3b3691f, "acpi_bus_unregister_driver" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x35779c0c, "kernfs_put" },
	{ 0xe091c977, "list_sort" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xa7d244aa, "nvdimm_pmem_region_create" },
	{ 0xfa39f1d7, "nvdimm_kobj" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb8b2b1f7, "mce_register_decode_chain" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x1cd8438b, "pxm_to_node" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0x62b165fd, "__devm_add_action" },
	{ 0xaf076aec, "nd_fletcher64" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x77358855, "iomem_resource" },
	{ 0x8dac2b5b, "param_ops_int" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0xd333836f, "nvdimm_cmd_mask" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");

MODULE_ALIAS("acpi*:ACPI0012:*");

MODULE_INFO(srcversion, "E9594A7790D9F1F87A70F10");
MODULE_INFO(rhelversion, "9.6");
