#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(xe_reg_sr_init, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(xe_rtp_process_ctx_enable_active_tracking, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(xe_rtp_process_to_sr, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(xe_rtp_process, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(xe_tuning_process_gt, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(xe_tuning_process_engine, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(xe_wa_process_gt, "", "EXPORTED_FOR_KUNIT_TESTING");

SYMBOL_CRC(xe_reg_sr_init, 0x255bad18, "");
SYMBOL_CRC(xe_rtp_process_ctx_enable_active_tracking, 0xf52c3400, "");
SYMBOL_CRC(xe_rtp_process_to_sr, 0x92e71a70, "");
SYMBOL_CRC(xe_rtp_process, 0x740f0d61, "");
SYMBOL_CRC(xe_tuning_process_gt, 0x4cabaca9, "");
SYMBOL_CRC(xe_tuning_process_engine, 0x07962098, "");
SYMBOL_CRC(xe_wa_process_gt, 0xe57eb9b4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x38355062, "ttm_lru_bulk_move_fini" },
	{ 0xe6feb830, "pci_disable_sriov" },
	{ 0x641ea439, "ttm_bo_vm_dummy_page" },
	{ 0xace169b3, "drm_mode_is_420_also" },
	{ 0x392a838b, "drm_dp_downstream_max_dotclock" },
	{ 0xdb185435, "xa_erase" },
	{ 0xb23f5e21, "drm_dp_mst_topology_mgr_set_mst" },
	{ 0x475d9bdd, "drm_atomic_state_init" },
	{ 0x6b47b851, "drm_atomic_set_fb_for_plane" },
	{ 0x2a60f8b6, "drm_dp_remove_payload_part2" },
	{ 0xedcf81ce, "drm_dp_channel_eq_ok" },
	{ 0x7ceaf0d5, "generic_handle_irq" },
	{ 0xb4667587, "drm_dp_downstream_debug" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xf774cac, "drm_modeset_lock_all_ctx" },
	{ 0xc04d706, "drm_atomic_helper_setup_commit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xea54b39d, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0xa4f8797d, "drm_fb_helper_setcmap" },
	{ 0xdff8cd4f, "drm_atomic_helper_update_plane" },
	{ 0xc7201674, "dma_resv_iter_first" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0xbc98a323, "drm_hdmi_avi_infoframe_colorimetry" },
	{ 0x1e8542de, "drm_dp_mst_connector_late_register" },
	{ 0xd0debf17, "drm_crtc_vblank_reset" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0xc38021e8, "drm_atomic_helper_wait_for_dependencies" },
	{ 0xf2c28a3b, "drm_edid_connector_add_modes" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0xc518d486, "drm_edid_is_digital" },
	{ 0x787c7af5, "drm_crtc_handle_vblank" },
	{ 0xac5efec9, "dma_resv_init" },
	{ 0xed9e23ad, "__wake_up" },
	{ 0x75bababd, "drm_dp_remove_payload_part1" },
	{ 0x3832213a, "drm_mode_create_aspect_ratio_property" },
	{ 0xd6c0ff77, "dma_resv_reserve_fences" },
	{ 0x54c5e7df, "drm_gem_dmabuf_vmap" },
	{ 0x7023bea8, "unregister_acpi_notifier" },
	{ 0xe2d2006f, "drm_scdc_read" },
	{ 0xccfbae60, "drm_gpuvm_prepare_objects" },
	{ 0xd26e89a8, "drm_suballoc_manager_fini" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0xfdcb5867, "drm_mode_duplicate" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0xfd9aba56, "drm_plane_create_rotation_property" },
	{ 0x9aa0a324, "drm_property_blob_put" },
	{ 0x82c4e6e9, "drm_connector_attach_encoder" },
	{ 0xdb452f3b, "ttm_resource_init" },
	{ 0x5974a529, "drm_connector_update_privacy_screen" },
	{ 0xc22d8d8a, "dma_resv_replace_fences" },
	{ 0xfd692eca, "drm_gem_plane_helper_prepare_fb" },
	{ 0x8826c13b, "acpi_video_register" },
	{ 0x77287cce, "is_acpi_device_node" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x9c3e53e9, "__mmdrop" },
	{ 0xa0fde3f9, "drm_hdmi_vendor_infoframe_from_display_mode" },
	{ 0xbc2e5bb3, "drm_fb_helper_unregister_info" },
	{ 0x8cba6d2b, "pci_dev_put" },
	{ 0x72df5b2a, "dma_fence_signal_locked" },
	{ 0x39dc197e, "dma_fence_array_alloc" },
	{ 0xba68501, "drm_atomic_set_mode_for_crtc" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x25d697f1, "pci_read_config_word" },
	{ 0xa49723c2, "drm_crtc_from_index" },
	{ 0x55c7c10d, "kmem_cache_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x8a668b12, "ww_mutex_unlock" },
	{ 0x8c880bbc, "sysfs_create_group" },
	{ 0xe52ceedf, "pci_set_master" },
	{ 0xd4a653d4, "drm_gem_dmabuf_mmap" },
	{ 0xdedcc88f, "drm_dp_set_subconnector_property" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd57cf01a, "drm_atomic_helper_update_legacy_modeset_state" },
	{ 0x1de95369, "drm_dp_mst_topology_mgr_destroy" },
	{ 0xc10e3a39, "drm_buddy_print" },
	{ 0xf6d6ed01, "ttm_bo_vm_reserve" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xe3e9c76f, "drm_modeset_unlock_all" },
	{ 0x5ecfee9, "__drm_atomic_helper_plane_duplicate_state" },
	{ 0x2fa94ef2, "drm_dp_downstream_444_to_420_conversion" },
	{ 0x5846c213, "acpi_dev_get_resources" },
	{ 0xca9360b5, "rb_next" },
	{ 0xfc0591fd, "__tracepoint_mmap_lock_released" },
	{ 0x2e4ea4dd, "drm_atomic_helper_connector_destroy_state" },
	{ 0x66cc7586, "pwm_put" },
	{ 0xf67b0c91, "drm_property_create_enum" },
	{ 0x5fafb06f, "__drm_printfn_dbg" },
	{ 0x504c682, "drm_dp_bw_channel_coding_efficiency" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x96848186, "scnprintf" },
	{ 0x218173b, "drm_fb_helper_set_suspend" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0x927ee5cf, "generic_file_llseek" },
	{ 0xc6cbbc89, "capable" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0xf2172f0a, "drm_fb_helper_fini" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5abfd591, "drm_sched_resume_timeout" },
	{ 0x579ff75e, "pci_disable_device" },
	{ 0x3c18d3e, "bpf_trace_run6" },
	{ 0x3ec5ec4f, "drm_gpuvm_resv_add_fence" },
	{ 0xafc9d901, "kmem_cache_destroy" },
	{ 0x77182c7b, "bpf_trace_run5" },
	{ 0x116ac8c1, "drm_atomic_get_crtc_state" },
	{ 0x75c35147, "vga_get" },
	{ 0x590b4f2c, "ttm_bo_move_memcpy" },
	{ 0xc4040134, "drm_crtc_wait_one_vblank" },
	{ 0xc2a113a, "add_timer" },
	{ 0xe2bc0dd9, "__put_task_struct" },
	{ 0x50179fbd, "dma_fence_add_callback" },
	{ 0xfca5ddef, "downgrade_write" },
	{ 0x6f4a59e4, "sort_r" },
	{ 0x6f3590ba, "dma_fence_signal" },
	{ 0x3b6876bb, "drm_fb_helper_damage_area" },
	{ 0x2d393f48, "intel_soc_pmic_exec_mipi_pmic_seq_element" },
	{ 0xcacee550, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xf6625233, "bpf_trace_run2" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdaeacd32, "bpf_trace_run1" },
	{ 0xef8231fd, "dma_fence_remove_callback" },
	{ 0x7053fa72, "drm_dp_get_pcon_max_frl_bw" },
	{ 0xe2ca66ba, "dma_resv_iter_next" },
	{ 0x351988f9, "drm_modeset_lock" },
	{ 0x3c822815, "dma_map_sgtable" },
	{ 0xfb258442, "bpf_trace_run3" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4114b1b6, "bpf_trace_run4" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x63f4768f, "drm_prime_gem_destroy" },
	{ 0x8d701329, "drm_dp_clock_recovery_ok" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xdcf4661c, "ttm_bo_vm_open" },
	{ 0xb4e7c40a, "debugfs_create_dir" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x10e500a7, "component_add_typed" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x79c00fa2, "drm_edid_alloc" },
	{ 0xbf2ecfbb, "mipi_dsi_dcs_write_buffer" },
	{ 0x36720d93, "drm_kms_helper_connector_hotplug_event" },
	{ 0x670d6bc, "drm_dp_read_channel_eq_delay" },
	{ 0x7c567919, "trace_raw_output_prep" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x2af7889c, "dma_fence_get_stub" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd4e1070, "dma_resv_test_signaled" },
	{ 0x93ce0ed6, "drm_dp_mst_atomic_setup_commit" },
	{ 0x4c9c1aff, "drm_gem_prime_export" },
	{ 0x9b95c885, "drm_mode_match" },
	{ 0xeef46f, "fb_io_write" },
	{ 0x2e1d8b1, "drm_crtc_vblank_on" },
	{ 0x571eddab, "unregister_sysctl_table" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0x9714e0bb, "ktime_get_raw" },
	{ 0xf6457813, "drm_sched_entity_push_job" },
	{ 0x26815dbc, "drm_dp_link_rate_to_bw_code" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x77bc13a0, "strim" },
	{ 0x529ce259, "drm_dp_mst_edid_read" },
	{ 0x328e87e4, "drm_dp_mst_atomic_check_mgr" },
	{ 0x9a42d144, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x62238892, "dma_fence_wait_timeout" },
	{ 0x75b3322b, "drm_dp_read_lttpr_phy_caps" },
	{ 0x496729e6, "dma_resv_iter_next_unlocked" },
	{ 0x582f248e, "drm_dp_get_adjust_request_pre_emphasis" },
	{ 0x8b7c7576, "devm_kmalloc" },
	{ 0xde55cf06, "backlight_device_get_by_name" },
	{ 0x69e8c366, "pcpu_hot" },
	{ 0x2d7ce8b1, "drm_dp_mst_topology_state_funcs" },
	{ 0xfb578fc5, "memset" },
	{ 0x843a0c6d, "idr_get_next" },
	{ 0x5964dfd3, "perf_trace_run_bpf_submit" },
	{ 0x1c4bba9, "drm_dp_lttpr_max_link_rate" },
	{ 0xa65c3f8d, "dma_buf_move_notify" },
	{ 0xdf64de77, "dma_map_resource" },
	{ 0xa64556cf, "_dev_warn" },
	{ 0xa93dfbae, "drm_dp_pcon_frl_enable" },
	{ 0x38ed5f32, "mmu_interval_notifier_insert" },
	{ 0xa6602c49, "single_open" },
	{ 0x24ada755, "drm_dsc_set_rc_buf_thresh" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x372f79f1, "drm_dp_pcon_frl_prepare" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xd55e7cc0, "drm_crtc_vblank_restore" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb333317f, "gpiod_set_value_cansleep" },
	{ 0x13c403fd, "idr_for_each" },
	{ 0x3e7cdfb8, "fwnode_handle_get" },
	{ 0x8ad55276, "__drm_atomic_helper_connector_reset" },
	{ 0x8dac2b5b, "param_ops_int" },
	{ 0xa843606e, "drm_dp_dsc_sink_supported_input_bpcs" },
	{ 0xa1fcee47, "request_firmware" },
	{ 0xc5c99a79, "drm_dp_get_adjust_request_voltage" },
	{ 0x14f11f5b, "drm_sched_init" },
	{ 0x75897201, "down_read_interruptible" },
	{ 0x9a0989e1, "drm_plane_create_blend_mode_property" },
	{ 0xcd30bfa2, "hrtimer_init" },
	{ 0x90f0dffb, "ttm_bo_init_reserved" },
	{ 0x60050b1d, "drm_plane_has_format" },
	{ 0xb155bcef, "drm_connector_attach_vrr_capable_property" },
	{ 0x26ca9a9a, "drm_atomic_commit" },
	{ 0x58b909f2, "drm_dp_downstream_max_tmds_clock" },
	{ 0x16233295, "prepare_to_wait" },
	{ 0x9bb5b753, "drm_lspcon_set_mode" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xaa161b68, "pci_read_config_dword" },
	{ 0x1cb7516b, "pci_pme_capable" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xb0e602eb, "memmove" },
	{ 0xf38f91e5, "pci_map_rom" },
	{ 0x2a8e9dc2, "i2c_acpi_find_adapter_by_handle" },
	{ 0xf3ac5825, "drm_sched_job_arm" },
	{ 0xb7911f0a, "drm_mode_crtc_set_gamma_size" },
	{ 0x846247b1, "ttm_bo_vm_access" },
	{ 0x23c76b44, "drm_sched_job_init" },
	{ 0x82255cf8, "pci_pr3_present" },
	{ 0x30482675, "xa_find" },
	{ 0xef594007, "drm_dp_mst_topology_queue_probe" },
	{ 0xd8ebee4e, "drm_dp_mst_root_conn_atomic_check" },
	{ 0x97975213, "pci_bus_type" },
	{ 0x50d0e443, "trace_event_reg" },
	{ 0xe9a5e67f, "intel_graphics_stolen_res" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x56ac6e0b, "dev_driver_string" },
	{ 0xe6abfb08, "drm_gem_mmap" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0xd458f777, "ww_mutex_trylock" },
	{ 0x708c18ab, "drm_modeset_lock_single_interruptible" },
	{ 0x937f5f78, "drm_mode_create_dp_colorspace_property" },
	{ 0xa6a40830, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x95aab2a2, "drm_atomic_helper_prepare_planes" },
	{ 0x9e1b2980, "drm_gem_object_release" },
	{ 0xcfa12776, "pci_p2pdma_distance_many" },
	{ 0xc7445bcd, "drm_open" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xa158397b, "pci_read_config_byte" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb0647fac, "kunit_running" },
	{ 0xa08322ce, "acpi_find_child_device" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xb94929ec, "dma_resv_wait_timeout" },
	{ 0x2130a703, "sysfs_remove_files" },
	{ 0x5bcb732a, "mempool_init" },
	{ 0xab1e5525, "drm_dp_mst_get_port_malloc" },
	{ 0x5a290250, "hdmi_drm_infoframe_pack_only" },
	{ 0x856f2b71, "up_read" },
	{ 0xc3cb889, "drm_plane_add_size_hints_property" },
	{ 0x77c6724b, "mempool_free" },
	{ 0x92bc7ba5, "drm_scdc_set_scrambling" },
	{ 0x645bdb2f, "drm_sched_wqueue_stop" },
	{ 0x58bdfb69, "ttm_tt_init" },
	{ 0x3267ba7f, "drm_atomic_helper_disable_plane" },
	{ 0xe99a583e, "drm_crtc_vblank_off" },
	{ 0x333bfca1, "hdmi_infoframe_pack_only" },
	{ 0xe1d67627, "drm_atomic_add_affected_connectors" },
	{ 0xed749d18, "mipi_dsi_dcs_nop" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x61520178, "up_write" },
	{ 0x9dfa5e45, "drm_dp_add_payload_part2" },
	{ 0xc1ed5d9, "drm_dp_cec_attach" },
	{ 0x9438e7c5, "drm_dp_add_payload_part1" },
	{ 0xd74f33e4, "drm_edid_read_ddc" },
	{ 0xb9234c4d, "drm_dp_vsc_sdp_pack" },
	{ 0x31b0d21c, "pci_unmap_rom" },
	{ 0x73011db0, "drm_dp_bw_code_to_link_rate" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xa916b694, "strnlen" },
	{ 0x22197fd1, "ttm_resource_fini" },
	{ 0x338c2ff4, "drm_dp_dpcd_read_link_status" },
	{ 0xe2a7ff19, "drm_dp_mst_hpd_irq_handle_event" },
	{ 0xe82ce1a3, "drm_gpuva_unlink" },
	{ 0x67c468eb, "ttm_bo_eviction_valuable" },
	{ 0xf8d3e4d5, "pci_alloc_irq_vectors" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xcddc3c73, "debugfs_lookup" },
	{ 0x604a44bb, "drm_dev_put" },
	{ 0x1605d0ed, "drm_dp_lttpr_max_lane_count" },
	{ 0x8da0b95, "sysfs_create_file_ns" },
	{ 0x407126a4, "__drm_atomic_helper_plane_state_reset" },
	{ 0xdd6fc86f, "hdmi_infoframe_log" },
	{ 0xd59efd57, "drm_helper_mode_fill_fb_struct" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd57a4790, "drm_dp_pcon_hdmi_link_active" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x78228c75, "drm_mode_object_get" },
	{ 0x890442c1, "__drm_dev_dbg" },
	{ 0x25586144, "drm_sched_entity_init" },
	{ 0xfa7662e2, "drm_fb_helper_pan_display" },
	{ 0x73ca33ee, "drm_dp_downstream_mode" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x76dfeb11, "drm_connector_list_iter_end" },
	{ 0x4488028a, "__drm_printfn_info" },
	{ 0x39d33384, "xa_destroy" },
	{ 0x9532b053, "drm_atomic_helper_wait_for_flip_done" },
	{ 0x75cc785b, "__drm_atomic_helper_plane_destroy_state" },
	{ 0x384b280d, "drm_mm_print" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc8cc8b9d, "drm_buddy_free_list" },
	{ 0xee6fecb3, "cpu_latency_qos_remove_request" },
	{ 0xa16bf9d7, "drm_mode_object_put" },
	{ 0x3850704a, "drm_hdcp_check_ksvs_revoked" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x420efb81, "idr_remove" },
	{ 0x83bc499a, "drm_crtc_arm_vblank_event" },
	{ 0xa9768de2, "drm_modeset_backoff" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xead50eba, "__tracepoint_mmap_lock_start_locking" },
	{ 0x7f075454, "pci_sriov_get_totalvfs" },
	{ 0x495c3724, "pm_runtime_forbid" },
	{ 0x2ef1fa76, "drm_gem_handle_create" },
	{ 0x5849ed26, "drm_buddy_init" },
	{ 0x770cd2d, "drm_poll" },
	{ 0x2924a82a, "drm_atomic_helper_commit_duplicated_state" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66edfc78, "_find_next_or_bit" },
	{ 0xa47826e4, "drm_dp_calc_pbn_mode" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x520ee828, "ttm_pool_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4ae90d8e, "hdmi_avi_infoframe_check" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x2140e8a1, "__drm_printfn_seq_file" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x50674de7, "drm_timeout_abs_to_jiffies" },
	{ 0xb983fd39, "drm_fb_helper_prepare" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x223b9a79, "drm_property_replace_blob" },
	{ 0x56c7e02d, "drm_edp_backlight_enable" },
	{ 0x3f0f35c2, "drm_atomic_get_new_mst_topology_state" },
	{ 0x190e542b, "ttm_bo_validate" },
	{ 0x58d8fcaa, "drm_dsc_pps_payload_pack" },
	{ 0xc032df9f, "drm_dp_read_desc" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb2f44400, "drm_edid_print_product_id" },
	{ 0xa4191c0b, "memset_io" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0x98073677, "drm_dev_get" },
	{ 0xfcc341e7, "drm_sched_wqueue_start" },
	{ 0x7b67f998, "ttm_tt_fini" },
	{ 0x886cf67b, "drm_fb_helper_check_var" },
	{ 0x79372fa0, "ttm_resource_free" },
	{ 0xa5ce7e93, "drm_client_dev_unregister" },
	{ 0xdaa70252, "drm_client_init" },
	{ 0x2542dab5, "seq_putc" },
	{ 0xad63cdeb, "seq_printf" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xce9c9238, "i2c_add_adapter" },
	{ 0x4947f52a, "drmm_kfree" },
	{ 0xd599275, "drm_syncobj_add_point" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x65cc7071, "drm_dp_pcon_convert_rgb_to_ycbcr" },
	{ 0x8a415115, "kunit_hooks" },
	{ 0x8bd616b6, "drm_helper_move_panel_connectors_to_head" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc333ef71, "pci_get_class" },
	{ 0xad9eba8a, "debugfs_create_file_unsafe" },
	{ 0xccf54d5e, "drm_dp_get_adjust_tx_ffe_preset" },
	{ 0x79008c7e, "drm_dsc_setup_rc_params" },
	{ 0x8e3df2b0, "ww_mutex_lock_interruptible" },
	{ 0x37a0cba, "kfree" },
	{ 0xa165ab61, "trace_event_raw_init" },
	{ 0x26cc1ebe, "drm_vblank_work_flush_all" },
	{ 0x3a262343, "put_device" },
	{ 0xe5e87294, "drm_dp_mst_atomic_wait_for_dependencies" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xf261d44c, "ttm_resource_manager_init" },
	{ 0xa2436de3, "drm_dp_mst_connector_early_unregister" },
	{ 0xf23eb063, "ttm_bo_mem_space" },
	{ 0x9d02033e, "__pm_runtime_resume" },
	{ 0xc631580a, "console_unlock" },
	{ 0x4f317937, "drm_vblank_work_schedule" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x334c1800, "drm_show_fdinfo" },
	{ 0x349cba85, "strchr" },
	{ 0xd174c273, "device_get_next_child_node" },
	{ 0x4868cfbb, "dma_fence_init" },
	{ 0xc11040d6, "drm_fb_helper_debug_leave" },
	{ 0x36f8a0aa, "drm_client_release" },
	{ 0xf1fba443, "drm_atomic_get_plane_state" },
	{ 0x73c8151d, "drm_gpuva_find_first" },
	{ 0x21871745, "drm_exec_cleanup" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xc5d12d2a, "drm_atomic_helper_page_flip" },
	{ 0x6f28ba24, "drm_dp_dual_mode_max_tmds_clock" },
	{ 0x65011638, "gpiod_set_value" },
	{ 0x93e8a5b5, "pci_d3cold_enable" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xfe84dab9, "drm_connector_set_path_property" },
	{ 0x65830d70, "dma_resv_iter_first_unlocked" },
	{ 0xa33111b3, "register_sysctl" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0xcb6c75d2, "kobject_init" },
	{ 0xb053adda, "drm_rect_rotate" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x51a893c2, "__drm_printfn_err" },
	{ 0xeaace50f, "dma_fence_enable_sw_signaling" },
	{ 0x443ee7be, "drm_sched_stop" },
	{ 0x51a50d32, "mmput" },
	{ 0x1fafc624, "drm_dp_aux_register" },
	{ 0x29ad8e33, "x86_hyper_type" },
	{ 0xb573015e, "drm_framebuffer_init" },
	{ 0x63fa2131, "ww_mutex_lock" },
	{ 0x72700f51, "drm_color_lut_check" },
	{ 0x80522735, "devm_ioremap_wc" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x444f7bce, "pci_rebar_get_possible_sizes" },
	{ 0x1272c7a1, "drm_mode_probed_add" },
	{ 0xce9939d, "trace_event_buffer_commit" },
	{ 0x41109ab2, "devm_gpiod_get_index" },
	{ 0xefc11f64, "i2c_get_adapter" },
	{ 0xdb1edee6, "hdmi_infoframe_unpack" },
	{ 0x95bf149b, "__drm_printfn_coredump" },
	{ 0xf9ca2eb4, "kstrtoint_from_user" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xb7d777b4, "drm_sched_tdr_queue_imm" },
	{ 0xc3e43d21, "drm_exec_lock_obj" },
	{ 0x5607014, "cec_fill_conn_info_from_drm" },
	{ 0x6dd0bc27, "drm_sched_job_cleanup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40d04664, "console_trylock" },
	{ 0xe6168833, "drm_connector_set_link_status_property" },
	{ 0x2cc830ce, "dma_buf_unmap_attachment" },
	{ 0xc993c848, "mipi_dsi_picture_parameter_set" },
	{ 0xf066ff14, "drm_atomic_helper_cleanup_planes" },
	{ 0xf6b8a63, "drm_dp_max_dprx_data_rate" },
	{ 0x1b5061db, "__drmm_mutex_release" },
	{ 0x204e4a7, "drm_dp_pcon_pps_override_param" },
	{ 0x45b61916, "acpi_video_register_backlight" },
	{ 0xee7b9ef8, "drm_buddy_alloc_blocks" },
	{ 0x48f6b1e6, "drm_connector_attach_scaling_mode_property" },
	{ 0x2d4c773a, "hdmi_spd_infoframe_init" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xb0f5ea23, "drm_calc_timestamping_constants" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xefd0d60a, "drm_connector_cleanup" },
	{ 0x2b8ae3cd, "ttm_bo_move_accel_cleanup" },
	{ 0xfef58a13, "drm_helper_probe_single_connector_modes" },
	{ 0x1b0a1fdc, "drm_dp_lttpr_voltage_swing_level_3_supported" },
	{ 0x95366d5a, "drm_connector_attach_max_bpc_property" },
	{ 0x40f5e0d6, "sysfs_create_files" },
	{ 0x20303826, "default_llseek" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xafd77f18, "component_del" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x6e0e7c0e, "drm_dp_read_clock_recovery_delay" },
	{ 0x2b5980fa, "i2c_del_adapter" },
	{ 0x7fd9107f, "drm_gpuvm_init" },
	{ 0xfcd1819a, "hdmi_spd_infoframe_check" },
	{ 0x37af2bfe, "drm_connector_attach_content_type_property" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x54c2a6ba, "pci_msix_vec_count" },
	{ 0xbb15114, "dma_set_mask" },
	{ 0x169fbffc, "drmm_kmalloc" },
	{ 0x5fa7ba00, "drm_crtc_set_max_vblank_count" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x49ecc85a, "drm_atomic_helper_shutdown" },
	{ 0xd2d321e9, "ttm_resource_manager_usage" },
	{ 0x2acab094, "__get_task_comm" },
	{ 0x9c569d48, "drm_crtc_vblank_helper_get_vblank_timestamp_internal" },
	{ 0xcb3a3d56, "mipi_dsi_dcs_write" },
	{ 0x80b42e2c, "kthread_use_mm" },
	{ 0xaa57a7d8, "drm_plane_create_alpha_property" },
	{ 0x695994fd, "ttm_bo_put" },
	{ 0xfd04d8f0, "drm_dp_read_sink_count" },
	{ 0x4f25816f, "drm_dp_dpcd_read_phy_link_status" },
	{ 0xd9b689a9, "down_read" },
	{ 0x53029854, "cfb_copyarea" },
	{ 0xf6b54b34, "device_link_remove" },
	{ 0xe5360b84, "drm_dp_pcon_dsc_max_slices" },
	{ 0x5bcaacc9, "drm_dp_aux_init" },
	{ 0x40bee0f, "drm_atomic_helper_unprepare_planes" },
	{ 0x74bfa9ea, "backlight_device_unregister" },
	{ 0xeb565ff0, "drm_debugfs_create_files" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0x95899a97, "drm_gpuvm_bo_unmap_ops_create" },
	{ 0xb66fa5d1, "drm_hdmi_avi_infoframe_quant_range" },
	{ 0xeda48a48, "drm_dp_pcon_frl_configure_1" },
	{ 0xd2e2d345, "ttm_bo_vm_close" },
	{ 0x5407ae9e, "drm_dp_get_dual_mode_type_name" },
	{ 0x208fd1ff, "drm_vblank_work_flush" },
	{ 0xaf5e96fb, "drm_connector_init" },
	{ 0x1df34209, "drm_plane_create_scaling_filter_property" },
	{ 0xfea55357, "__devm_drm_dev_alloc" },
	{ 0x1a553422, "drm_dp_pcon_frl_configure_2" },
	{ 0x5a70655e, "drm_sched_resubmit_jobs" },
	{ 0x6187157b, "kobject_create_and_add" },
	{ 0xfd689441, "i2c_bit_algo" },
	{ 0x6c96a510, "drm_ioctl" },
	{ 0x71fff036, "mipi_dsi_set_maximum_return_packet_size" },
	{ 0x829b6048, "drm_dp_dsc_sink_max_slice_count" },
	{ 0xeb12fb94, "drm_any_plane_has_format" },
	{ 0x865f3007, "param_ops_charp" },
	{ 0x782abe1, "drm_vblank_init" },
	{ 0x1e589fa1, "mutex_trylock" },
	{ 0x65d7cd23, "ttm_bo_vunmap" },
	{ 0x475643f2, "trace_event_buffer_reserve" },
	{ 0xc4137fb6, "drm_atomic_state_default_release" },
	{ 0xc0e464e8, "__xa_alloc_cyclic" },
	{ 0x6ceedbdc, "seq_lseek" },
	{ 0x8caf9305, "uuid_is_valid" },
	{ 0x11d3fc2, "__mmap_lock_do_trace_start_locking" },
	{ 0x3942d26b, "dma_fence_array_init" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xfbd6da41, "irq_work_queue" },
	{ 0x6136df2f, "drm_dp_set_phy_test_pattern" },
	{ 0xdb28ed2c, "drm_suballoc_manager_init" },
	{ 0x91a21b14, "dma_buf_dynamic_attach" },
	{ 0x8b27dea4, "drm_connector_set_panel_orientation_with_quirk" },
	{ 0x107742a9, "drm_get_subpixel_order_name" },
	{ 0x98f177d5, "ttm_bo_set_bulk_move" },
	{ 0x7f8839d6, "i2c_acpi_get_i2c_resource" },
	{ 0xaf267620, "drm_dp_lttpr_count" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xa461096b, "drm_dp_mst_topology_mgr_suspend" },
	{ 0xef690162, "drm_crtc_create_scaling_filter_property" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc020c0c1, "drm_dp_pcon_dsc_max_slice_width" },
	{ 0x9266ac4d, "idr_find" },
	{ 0x99fd20aa, "drm_rect_clip_scaled" },
	{ 0x7522c491, "trace_output_call" },
	{ 0xb44ad916, "drm_vblank_work_init" },
	{ 0x953c0ce8, "drm_crtc_vblank_crtc" },
	{ 0xf013835a, "drm_dp_vsc_sdp_log" },
	{ 0xf6d7b04, "mmu_interval_read_begin" },
	{ 0x30560243, "drm_fb_helper_unprepare" },
	{ 0xda3d9006, "vga_client_register" },
	{ 0x57a2081d, "drm_atomic_get_connector_state" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xae766a41, "drm_dp_read_mst_cap" },
	{ 0xf689ad25, "drm_dp_downstream_420_passthrough" },
	{ 0x24e223f9, "mark_page_accessed" },
	{ 0x8a6d9cfa, "drm_dp_mst_hpd_irq_send_new_request" },
	{ 0x5e7ba8f4, "dma_fence_chain_walk" },
	{ 0x1c1c06eb, "drm_kms_helper_poll_init" },
	{ 0x6f2d4b79, "drm_dp_pcon_hdmi_frl_link_error_count" },
	{ 0x3b53b9ec, "drm_dp_cec_unregister_connector" },
	{ 0xc9f4f448, "__drm_puts_coredump" },
	{ 0xe4248b06, "vga_put" },
	{ 0x23daa989, "mipi_dsi_create_packet" },
	{ 0xfc279698, "__xa_alloc" },
	{ 0x36c29181, "hrtimer_forward" },
	{ 0x7355e454, "pci_unregister_driver" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xeec93e20, "drm_atomic_helper_check_modeset" },
	{ 0x17d5ac2f, "drm_fb_helper_ioctl" },
	{ 0xe2f917de, "param_ops_uint" },
	{ 0xee4f5ba0, "drm_gpuvm_bo_put" },
	{ 0x7b59fcd4, "hmm_range_fault" },
	{ 0xc8e60a7b, "drm_gpuvm_put" },
	{ 0x6c847acf, "drm_dp_as_sdp_log" },
	{ 0x71aa0742, "drm_modeset_acquire_fini" },
	{ 0xc6fc1def, "drm_connector_attach_hdr_output_metadata_property" },
	{ 0x973fa82e, "register_acpi_notifier" },
	{ 0x92b9835e, "drm_dp_128b132b_cds_interlane_align_done" },
	{ 0xb6e0e4eb, "drm_dp_atomic_find_time_slots" },
	{ 0x7de09238, "backlight_device_register" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x389fc557, "_dev_err" },
	{ 0x43024144, "irq_set_chip_and_handler_name" },
	{ 0x379f3e62, "drm_crtc_send_vblank_event" },
	{ 0xca2a88c, "unmap_mapping_range" },
	{ 0xf234478, "drm_fb_helper_fill_info" },
	{ 0xe53574d3, "drm_dp_downstream_max_bpc" },
	{ 0x57698a50, "drm_mm_takedown" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x2bca2421, "__drm_atomic_helper_crtc_state_reset" },
	{ 0x4a508063, "drm_connector_atomic_hdr_metadata_equal" },
	{ 0x14ae66ae, "drm_dp_mst_dump_topology" },
	{ 0xdb8d50fd, "kthread_unuse_mm" },
	{ 0x4ab7b90, "ttm_tt_populate" },
	{ 0xd7c7873b, "drm_gem_dmabuf_release" },
	{ 0x75cd19c5, "drm_lspcon_get_mode" },
	{ 0x4cbb391a, "mutex_lock_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3e39e74, "seq_read" },
	{ 0xac3a5ba7, "pci_save_state" },
	{ 0xfa33480a, "drm_dev_enter" },
	{ 0xb3750192, "drm_edid_valid" },
	{ 0xc6faee7, "xa_load" },
	{ 0xad13314b, "__pm_runtime_set_status" },
	{ 0x34b51f05, "noop_llseek" },
	{ 0xaebd12f0, "acpi_get_name" },
	{ 0x395bcacd, "add_wait_queue" },
	{ 0x3ec65107, "cpu_latency_qos_request_active" },
	{ 0x29401fb3, "drm_dp_send_power_updown_phy" },
	{ 0x59fa487d, "drm_dev_unplug" },
	{ 0xfe052363, "ioread64_lo_hi" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x725f58df, "devm_release_action" },
	{ 0xb013247e, "__pci_register_driver" },
	{ 0x1423766b, "drm_dp_mst_dsc_aux_for_port" },
	{ 0xa1fefe6a, "drm_dp_psr_setup_time" },
	{ 0x3a37b764, "drm_crtc_add_crc_entry" },
	{ 0x5afa602c, "_dev_info" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0xa93d2d2a, "dma_unmap_sg_attrs" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8852fc50, "pci_match_id" },
	{ 0xd360aa67, "drm_mode_config_cleanup" },
	{ 0x719ff610, "fb_io_read" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x38b0bba0, "ttm_bo_kunmap" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x9e5c57f0, "down_write_killable" },
	{ 0x788a8350, "cfb_fillrect" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x9257407d, "drm_encoder_cleanup" },
	{ 0x2ce02301, "drm_connector_attach_colorspace_property" },
	{ 0x108cca1e, "drm_gpuvm_prefetch_ops_create" },
	{ 0xf52bc0a3, "drm_kms_helper_poll_reschedule" },
	{ 0x528d4cfd, "drm_gpuva_ops_free" },
	{ 0x968bf1fe, "param_ops_bool" },
	{ 0xfd427458, "__init_rwsem" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0x80dcba29, "pci_d3cold_disable" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x1172969b, "drm_helper_probe_detect" },
	{ 0x14e54aba, "debugfs_attr_read" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x967811a1, "drm_property_create_blob" },
	{ 0x1bde0412, "drm_object_attach_property" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xbb5a9f0d, "drm_gem_prime_mmap" },
	{ 0x6d6bcb04, "drm_dp_cec_unset_edid" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xb509c2e0, "debugfs_create_str" },
	{ 0x99c5423c, "drm_dp_dpcd_write" },
	{ 0x54521010, "mempool_exit" },
	{ 0xa1791701, "drm_fb_helper_initial_config" },
	{ 0xec788566, "acpi_target_system_state" },
	{ 0xba40bb5d, "pci_ignore_hotplug" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x5ad1e459, "drm_connector_list_iter_begin" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x47c89afb, "drm_dp_dpcd_read" },
	{ 0x5d9af08a, "drm_atomic_helper_commit_hw_done" },
	{ 0xe77e3ea6, "drm_gem_object_lookup" },
	{ 0xcf136070, "dma_unmap_resource" },
	{ 0xe7a9ecea, "drm_mode_is_420_only" },
	{ 0x7935614c, "handle_simple_irq" },
	{ 0xc508f916, "drm_atomic_get_mst_payload_state" },
	{ 0x4acd28e0, "pci_set_power_state" },
	{ 0x7e2c0f16, "drm_plane_enable_fb_damage_clips" },
	{ 0x5ed39d89, "drm_gpuvm_prepare_vm" },
	{ 0xc8b6a8ae, "drm_dp_128b132b_lane_channel_eq_done" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x92e38bc1, "drm_gpuvm_bo_obtain" },
	{ 0x1a411479, "drm_syncobj_free" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9a819aeb, "simple_attr_write" },
	{ 0xa6457c89, "hdmi_infoframe_pack" },
	{ 0x6a96080e, "drm_suballoc_free" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x8728e93b, "drm_client_register" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x1a5bf3ca, "drm_dsc_dp_rc_buffer_size" },
	{ 0xddea29ac, "drm_probe_ddc" },
	{ 0xe062843c, "drm_property_blob_get" },
	{ 0x517fcc97, "drm_connector_init_with_ddc" },
	{ 0x76ff6644, "drm_dp_lttpr_pre_emphasis_level_3_supported" },
	{ 0x30691edf, "drm_universal_plane_init" },
	{ 0x8d38ab6, "drm_crtc_enable_color_mgmt" },
	{ 0xbc1180f7, "dma_fence_chain_init" },
	{ 0xa599078f, "drm_dp_mst_topology_mgr_init" },
	{ 0x4ca8d05b, "drm_gem_dmabuf_vunmap" },
	{ 0x298a24d7, "__drm_atomic_helper_connector_duplicate_state" },
	{ 0x2d50570f, "drm_rect_calc_hscale" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x204de597, "drm_atomic_state_default_clear" },
	{ 0x5bb2be15, "ttm_bo_pin" },
	{ 0x490b1091, "ttm_lru_bulk_move_tail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd822b089, "pm_runtime_get_if_active" },
	{ 0xf161116, "mipi_dsi_generic_write" },
	{ 0xd1841be4, "drm_atomic_add_affected_planes" },
	{ 0xb807a97d, "__pm_runtime_idle" },
	{ 0x3bbeac2, "__acpi_video_get_backlight_type" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4c6deded, "drm_buddy_fini" },
	{ 0xd5a95eae, "drm_dp_128b132b_lane_symbol_locked" },
	{ 0xddf5c8a7, "drm_dp_mst_topology_mgr_resume" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x2fd2a5b2, "auxiliary_device_init" },
	{ 0xb8398102, "drm_atomic_helper_commit_cleanup_done" },
	{ 0xe4b75acb, "kmem_cache_create" },
	{ 0x7731cd8e, "drm_gpuvm_resv_object_alloc" },
	{ 0xa0ebd437, "hdmi_drm_infoframe_check" },
	{ 0x3c30939b, "drm_edp_backlight_disable" },
	{ 0x40436c9d, "pci_iounmap" },
	{ 0x7cc23b15, "drm_fb_helper_alloc_info" },
	{ 0xf843a010, "drm_dp_aux_unregister" },
	{ 0x5db6d2e4, "hrtimer_cancel" },
	{ 0x72bc31d3, "drm_atomic_helper_suspend" },
	{ 0x9d96d6eb, "drm_dp_dpcd_probe" },
	{ 0xfa03bc6b, "pci_iomap" },
	{ 0xb23e4e1d, "drm_buddy_block_trim" },
	{ 0x91fec1cc, "drm_rect_calc_vscale" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x723bd24f, "cpu_latency_qos_update_request" },
	{ 0xe5dddd45, "cfb_imageblit" },
	{ 0x9278cc11, "drm_crtc_cleanup" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x5595bf60, "xa_find_after" },
	{ 0x1c5b1f28, "irq_free_descs" },
	{ 0xbc62c5c9, "ttm_bo_kmap" },
	{ 0x9257943, "dma_fence_array_create" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc32bec9b, "drm_atomic_get_old_mst_topology_state" },
	{ 0x65702bd6, "drm_default_rgb_quant_range" },
	{ 0xbd91cb9f, "drm_atomic_state_alloc" },
	{ 0x1c262695, "remap_pfn_range" },
	{ 0x3d8131ff, "drm_dp_get_phy_test_pattern" },
	{ 0xcb2340b8, "drm_rect_debug_print" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x3dc887bf, "drm_dp_bw_overhead" },
	{ 0x7653e92d, "idr_destroy" },
	{ 0x9a02f89d, "pm_runtime_get_if_in_use" },
	{ 0xf1ee8361, "pci_write_config_byte" },
	{ 0xf0b06850, "ttm_bo_vmap" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8fedd98c, "drm_dp_mst_put_port_malloc" },
	{ 0xaa4a8dfe, "drm_kms_helper_poll_enable" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x275f3d49, "hdmi_vendor_infoframe_check" },
	{ 0x8a0336db, "drm_connector_attach_dp_subconnector_property" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xa2440a69, "drm_modeset_unlock" },
	{ 0x96fda511, "device_del" },
	{ 0x1000e51, "schedule" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x72951979, "drm_dp_dual_mode_set_tmds_output" },
	{ 0x39e17c37, "device_link_add" },
	{ 0x49852ac6, "dma_max_mapping_size" },
	{ 0x59d8e90, "drm_crtc_accurate_vblank_count" },
	{ 0x76c93765, "trace_event_printf" },
	{ 0x5e2545, "drm_dp_atomic_release_time_slots" },
	{ 0x510bb325, "drm_modeset_acquire_init" },
	{ 0xadbeed61, "mipi_dsi_packet_format_is_long" },
	{ 0x735a4ae, "sysfs_remove_group" },
	{ 0x75464096, "mmu_interval_notifier_remove" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x39a09a2b, "drm_atomic_state_clear" },
	{ 0xe906823c, "down_write" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0xeb13b66e, "drm_dsc_dump_config" },
	{ 0x251cbf2e, "seq_puts" },
	{ 0x1ecafc95, "drm_gpuvm_bo_evict" },
	{ 0x478bbf9c, "pci_restore_state" },
	{ 0x7bdc868f, "debugfs_create_bool" },
	{ 0x2754dad8, "drm_mm_reserve_node" },
	{ 0x4030496, "__drmm_add_action_or_reset" },
	{ 0x1057a279, "bsearch" },
	{ 0x83bd269b, "drm_atomic_helper_swap_state" },
	{ 0xf0517d7a, "drm_mm_init" },
	{ 0x4216f61a, "drm_gpuvm_sm_unmap_ops_create" },
	{ 0xaf6b4aa5, "drm_gpuva_link" },
	{ 0xbe416e3, "kmem_cache_alloc" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x2bcded62, "kobject_add" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xa8b428e2, "pci_enable_sriov" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x7a45377b, "acpi_video_unregister" },
	{ 0xf8633ebe, "__irq_alloc_descs" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfe12bcb9, "drm_dsc_compute_rc_parameters" },
	{ 0x87bd7294, "simple_attr_open" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa48efc22, "pci_enable_device" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x59f27ed7, "drm_dp_pcon_enc_is_dsc_1_2" },
	{ 0x6c09ffc4, "event_triggers_call" },
	{ 0x43f1b4d1, "drm_dp_cec_register_connector" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x19a6bd7e, "drm_fb_helper_restore_fbdev_mode_unlocked" },
	{ 0xfea2c60d, "drm_exec_init" },
	{ 0xe942afb7, "remove_wait_queue" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0xb9b36761, "__task_pid_nr_ns" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x93cb81a1, "mempool_alloc" },
	{ 0xfb1a7a5a, "drm_dp_downstream_rgb_to_ycbcr_conversion" },
	{ 0xa6666f1e, "idr_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0x2390d703, "pci_resize_resource" },
	{ 0x41bc01f6, "drm_plane_create_color_properties" },
	{ 0x748317d9, "mipi_dsi_compression_mode" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x282bdb4, "drm_dp_dual_mode_detect" },
	{ 0x42aaab9, "proc_dointvec_minmax" },
	{ 0x5bd7a6d4, "drm_hdcp_update_content_protection" },
	{ 0x2bb882c3, "drm_dp_mst_detect_port" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xe30958c1, "drm_dp_mst_aux_for_parent" },
	{ 0xad235e8b, "drm_gem_ttm_mmap" },
	{ 0xf57b6927, "simple_attr_release" },
	{ 0x267cf4da, "drm_gpuva_remove" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x69353664, "__drm_debug" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1e84b97, "dma_resv_add_fence" },
	{ 0xce458f4c, "drm_dp_read_dpcd_caps" },
	{ 0x25b1a326, "__drm_puts_seq_file" },
	{ 0x891c63e, "drm_encoder_init" },
	{ 0x55c77741, "debugfs_create_file" },
	{ 0xc7fcdafb, "drm_atomic_get_mst_topology_state" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x56684cd9, "__pm_runtime_use_autosuspend" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0xf9a482f9, "msleep" },
	{ 0x93841e3b, "ttm_device_init" },
	{ 0x4dd8bc97, "drm_dp_downstream_min_tmds_clock" },
	{ 0xcb449c9, "drm_sched_job_add_resv_dependencies" },
	{ 0xb22c660c, "dma_set_coherent_mask" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xc06f6a81, "__mmap_lock_do_trace_released" },
	{ 0x437a790d, "debugfs_attr_write" },
	{ 0x648d953b, "drm_dsc_dp_pps_header_init" },
	{ 0xf0d35f0f, "pci_write_config_dword" },
	{ 0xe27e1b04, "drm_dp_pcon_is_frl_ready" },
	{ 0x98deb10e, "ttm_device_fini" },
	{ 0x9fade8a5, "drm_gpuvm_exec_lock" },
	{ 0x428da9cf, "simple_open" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x4339a9a1, "pci_write_config_word" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcd408b02, "drm_edid_connector_update" },
	{ 0xd8f60718, "drm_dp_check_act_status" },
	{ 0x7be5e753, "drm_fb_helper_blank" },
	{ 0x49389a55, "drm_gpuvm_sm_map_ops_create" },
	{ 0x6e30ba8e, "drm_rect_rotate_inv" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xff6e3d27, "drm_fb_helper_set_par" },
	{ 0x9d7d0b8f, "drm_gpuva_insert" },
	{ 0x1337a08f, "drm_edp_backlight_init" },
	{ 0x3beda5f1, "mipi_dsi_attach" },
	{ 0x3c9a1157, "drm_gem_ttm_dumb_map_offset" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0xe3ed1f83, "drm_plane_create_zpos_immutable_property" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7ac1254b, "local_clock" },
	{ 0xdc628242, "drm_fb_helper_hotplug_event" },
	{ 0x62491e36, "drm_sched_job_add_dependency" },
	{ 0x994a199f, "ttm_bo_unpin" },
	{ 0x28a50284, "drm_framebuffer_remove" },
	{ 0x76fb26ed, "pci_iomap_range" },
	{ 0x615e71d0, "sg_alloc_table_from_pages_segment" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x4348159a, "__init_waitqueue_head" },
	{ 0x33ca5a0c, "ttm_bo_vm_fault_reserved" },
	{ 0xa11c28fb, "drm_connector_attach_content_protection_property" },
	{ 0x81188c30, "match_string" },
	{ 0xf9155f32, "drm_dp_mst_update_slots" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb4032484, "drm_mm_insert_node_in_range" },
	{ 0x1cc5e50a, "drm_scdc_set_high_tmds_clock_ratio" },
	{ 0xa3e76c33, "drm_connector_list_iter_next" },
	{ 0x88d75c1a, "drm_atomic_helper_damage_merged" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9eec90df, "pci_release_resource" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc1db2cb9, "drm_dev_register" },
	{ 0x4e748aa4, "drm_prime_pages_to_sg" },
	{ 0x868470d0, "ttm_pool_free" },
	{ 0x189f2cc, "drm_hdmi_avi_infoframe_from_display_mode" },
	{ 0xd551cf6f, "drm_modeset_drop_locks" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb137fce5, "pci_assign_unassigned_bus_resources" },
	{ 0xac04980a, "drm_gem_private_object_init" },
	{ 0x5a86f411, "drm_dp_phy_name" },
	{ 0xd26c8f55, "drm_dp_mst_port_downstream_of_parent" },
	{ 0x56a663e9, "drm_dp_dsc_sink_line_buf_depth" },
	{ 0xa41416e9, "drm_dp_get_vc_payload_bw" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x54dc5e35, "drm_framebuffer_cleanup" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x986e0b71, "pm_runtime_set_autosuspend_delay" },
	{ 0x2d477f58, "drm_atomic_helper_set_config" },
	{ 0x1c456ee9, "drm_dp_read_downstream_info" },
	{ 0xfa44ce82, "drm_dp_read_sink_count_cap" },
	{ 0x66d1ca4e, "pci_sriov_set_totalvfs" },
	{ 0xba497982, "drm_plane_from_index" },
	{ 0x6c985088, "pcim_enable_device" },
	{ 0xd30902aa, "drm_dp_cec_irq" },
	{ 0xc9c546a2, "prepare_to_wait_event" },
	{ 0x9eb8b4c7, "dma_resv_get_singleton" },
	{ 0x6c276a17, "anon_inode_getfd" },
	{ 0xb84090fd, "drm_crtc_vblank_put" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xb7d9d9d9, "dev_coredumpm_timeout" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xdb354429, "drm_suballoc_dump_debug_info" },
	{ 0x5b2d54ff, "drm_edp_backlight_set_level" },
	{ 0xe40b9814, "drm_fb_helper_init" },
	{ 0xa1974c9, "__auxiliary_device_add" },
	{ 0x48a91171, "string_get_size" },
	{ 0x5352ccb, "drm_mode_object_find" },
	{ 0x40a1d23d, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0xbe21eb17, "drm_sched_fini" },
	{ 0x62b165fd, "__devm_add_action" },
	{ 0xc6d9c5b7, "ttm_lru_bulk_move_init" },
	{ 0xf48bbedf, "drm_dp_dsc_sink_bpp_incr" },
	{ 0x4d924f20, "memremap" },
	{ 0x38d55d21, "drm_edid_get_product_id" },
	{ 0x38f69be5, "drmm_mode_config_init" },
	{ 0x9adf0bb2, "drm_dp_pcon_hdmi_link_mode" },
	{ 0x9471ff73, "drm_compat_ioctl" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xcf818fcc, "ttm_resource_manager_create_debugfs" },
	{ 0xbc9f2f79, "drm_mode_destroy" },
	{ 0xc8836372, "drm_crtc_init_with_planes" },
	{ 0xdc0d6b2, "drm_sched_entity_fini" },
	{ 0xdea43da9, "drm_read" },
	{ 0x4603c416, "drm_dp_pcon_dsc_bpp_incr" },
	{ 0x4ead9524, "ttm_bo_move_to_lru_tail" },
	{ 0x289fa8c4, "sysfs_remove_file_ns" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf103a073, "_dev_notice" },
	{ 0x47284e71, "drm_kms_helper_poll_disable" },
	{ 0x39c6497b, "seq_write" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc20a9156, "dma_buf_map_attachment" },
	{ 0xf93c2c41, "__xa_erase" },
	{ 0x9bfc9dc7, "drm_print_memory_stats" },
	{ 0xb3635899, "drm_gpuvm_validate" },
	{ 0x98371fa6, "drm_gpuvm_bo_extobj_add" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x63aaeef, "trace_event_ignore_this_pid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x640d1859, "get_pid_task" },
	{ 0xae71f10a, "drm_plane_cleanup" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0x58779bd5, "pm_runtime_allow" },
	{ 0x754d539c, "strlen" },
	{ 0x44691b0c, "pci_bus_resource_n" },
	{ 0x1709f64, "i2c_transfer" },
	{ 0x6a4df8c5, "drm_dp_128b132b_eq_interlane_align_done" },
	{ 0xf7b45a02, "drm_gem_fb_get_obj" },
	{ 0x4a6c16ec, "drm_hdmi_avi_infoframe_content_type" },
	{ 0x67fc32d6, "drm_modeset_lock_all" },
	{ 0xd7ca4033, "drm_dp_128b132b_read_aux_rd_interval" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xd3c57d9f, "set_page_dirty_lock" },
	{ 0x6aacee47, "drm_dp_128b132b_link_training_failed" },
	{ 0xf2a669ac, "drm_dp_read_lttpr_common_caps" },
	{ 0x2aaa0fd3, "drm_syncobj_replace_fence" },
	{ 0xf8374ab0, "drm_exec_fini" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x76b9907, "kobject_put" },
	{ 0x8971b11c, "dev_coredump_put" },
	{ 0x381e9d2d, "drm_connector_set_vrr_capable_property" },
	{ 0xfc503848, "drm_crtc_vblank_waitqueue" },
	{ 0x78af40bb, "pci_irq_vector" },
	{ 0xf8770785, "drm_syncobj_find" },
	{ 0xb9478d90, "hdmi_drm_infoframe_unpack_only" },
	{ 0x18829067, "pci_num_vf" },
	{ 0xe3fc4979, "simple_attr_read" },
	{ 0x8e9e7332, "single_release" },
	{ 0x3e118da9, "cpu_latency_qos_add_request" },
	{ 0xbb12fdab, "drm_crtc_vblank_get" },
	{ 0x4ec37026, "drm_suballoc_new" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0xd7e6444b, "drm_fb_helper_damage_range" },
	{ 0xc7abeea3, "ttm_resource_manager_evict_all" },
	{ 0xedc03953, "iounmap" },
	{ 0xb7b6e431, "drm_hdmi_infoframe_set_hdr_metadata" },
	{ 0x8dd6846f, "drm_mode_config_reset" },
	{ 0x8419823f, "finish_wait" },
	{ 0xb7076c17, "drm_av_sync_delay" },
	{ 0x3d979b52, "devm_hwmon_device_register_with_info" },
	{ 0x1c5f5ba1, "drm_kms_helper_poll_fini" },
	{ 0x15577b0, "i2c_put_adapter" },
	{ 0x4925085d, "drm_puts" },
	{ 0xa7a68efc, "drm_kms_helper_hotplug_event" },
	{ 0xec9cdb9, "drm_mode_create_hdmi_colorspace_property" },
	{ 0x85df9b6c, "strsep" },
	{ 0x4812ebd7, "drm_fb_helper_debug_enter" },
	{ 0xe8a2d3d0, "drm_release_noglobal" },
	{ 0x8f7e172d, "drm_dp_as_sdp_supported" },
	{ 0x432e5b55, "hrtimer_start_range_ns" },
	{ 0x353e0a31, "xa_store" },
	{ 0x117dfbbe, "kobj_sysfs_ops" },
	{ 0xf53c38d7, "dma_fence_chain_find_seqno" },
	{ 0x11ece0c3, "dma_fence_chain_ops" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x415c0123, "mipi_dsi_dcs_read" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm,drm_display_helper,drm_kms_helper,drm_gpuvm,drm_suballoc_helper,video,drm_buddy,gpu-sched,fb_io_fops,drm_exec,cec,cfbcopyarea,i2c-algo-bit,cfbfillrect,cfbimgblt,drm_ttm_helper");

MODULE_ALIAS("pci:v00008086d00009A60sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A68sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A70sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A40sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A49sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A59sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A78sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009AC0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009AC9sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009AD9sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009AF8sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C80sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C8Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C8Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C8Csv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C90sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C9Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004680sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004682sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004688sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000468Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000468Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004690sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004692sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004693sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A6sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A8sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046AAsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000462Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004626sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004628sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046B0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046B1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046B2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046B3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046C0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046C1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046C2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046C3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046D0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046D1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046D2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A721sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7A1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7A9sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7ACsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7ADsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A720sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7A0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7A8sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7AAsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7ABsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A780sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A781sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A782sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A783sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A788sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A789sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A78Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A78Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004905sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004906sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004907sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004908sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004909sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056C0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056C2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056C1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005690sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005691sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005692sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056BEsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056BFsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005693sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005694sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005695sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A5sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A6sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056B0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056B1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056BAsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056BBsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056BCsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056BDsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005696sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005697sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A4sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056B2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056B3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D40sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D41sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D45sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D51sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D55sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D60sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D67sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007DD1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007DD5sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00006420sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000064A0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000064B0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000E202sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000E20Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000E20Csv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000E20Dsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000E212sv*sd*bc03sc*i*");

MODULE_INFO(srcversion, "442294AC042FBD5F0984D43");
MODULE_INFO(rhelversion, "9.6");
