#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x007224ad, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xdbd63f24, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x6cc9418a, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xd4fb3baf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xadc4b92d, "__skb_checksum_complete" },
	{ 0x948b0f90, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xe133794f, "skb_copy_bits" },
	{ 0x1152e289, "__nlmsg_put" },
	{ 0xcae07293, "netdev_adjacent_change_commit" },
	{ 0xe554e7a1, "eth_mac_addr" },
	{ 0x5a937b2e, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x23d8fd02, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x7d17df40, "ip6_dst_hoplimit" },
	{ 0x68a1ff77, "param_ops_ushort" },
	{ 0x83687204, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x85e77f6f, "udp_sock_create4" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0xc72a68cf, "udp_tunnel6_xmit_skb" },
	{ 0xfb83a7d1, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x70d92c19, "__unregister_nexthop_notifier" },
	{ 0x8c453817, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0x69e8c366, "pcpu_hot" },
	{ 0x73bbc7e9, "eth_validate_addr" },
	{ 0xa68fb16f, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xe7d5c84b, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xdbd72026, "rtnl_create_link" },
	{ 0xebd93239, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x7f46c442, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x515c0541, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9c0c8ad6, "udp_tunnel_drop_rx_port" },
	{ 0xaea1f83b, "pskb_expand_head" },
	{ 0xa0fddf78, "netdev_upper_dev_link" },
	{ 0xbf924aed, "register_pernet_subsys" },
	{ 0xbc2ae16, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xa7367879, "__alloc_skb" },
	{ 0x56d76991, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xeea7f828, "eth_gro_complete" },
	{ 0x359f5b5d, "rtnl_set_sk_err" },
	{ 0x950877ac, "eth_gro_receive" },
	{ 0x98bf41de, "rtnl_configure_link" },
	{ 0x81b7aa14, "skb_tunnel_check_pmtu" },
	{ 0x4e503dc6, "udp_tunnel_dst_lookup" },
	{ 0xb9ab47b3, "rtnl_unicast" },
	{ 0x34865ab9, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xc9032b50, "__skb_get_hash_net" },
	{ 0xc45295c1, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe3fb4196, "__dev_get_by_index" },
	{ 0xcd652ab8, "rtnl_link_unregister" },
	{ 0x7d0260b9, "ipv6_stub" },
	{ 0x31d11008, "skb_pull" },
	{ 0xf664c7c4, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x48876555, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x203479cb, "dev_get_by_index_rcu" },
	{ 0x2587c001, "gro_cells_receive" },
	{ 0xe2bb57a3, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x7686c703, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0xa2ddaca8, "free_netdev" },
	{ 0xaecee4bf, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x3b6e2dc5, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xa95beb73, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x506afbe7, "ethtool_op_get_link" },
	{ 0xd142e80a, "nexthop_find_by_id" },
	{ 0x31b0578f, "arp_create" },
	{ 0x817c9853, "__ethtool_get_link_ksettings" },
	{ 0x45fbdcae, "netdev_adjacent_change_prepare" },
	{ 0x567dfb4f, "rtnl_register_module" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3730fcc6, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x70df102f, "rhashtable_free_and_destroy" },
	{ 0xa74c4a00, "rht_bucket_nested_insert" },
	{ 0x1114b19c, "netdev_adjacent_change_abort" },
	{ 0xfba53ef2, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x77351af5, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x74623ba6, "__iptunnel_pull_header" },
	{ 0x16be2606, "__pskb_pull_tail" },
	{ 0x375b0747, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x26b7aa95, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x5ed0a88a, "rhashtable_destroy" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x562add11, "setup_udp_tunnel_sock" },
	{ 0xc5b860d9, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7313578e, "skb_trim" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x3cba242f, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9c209375, "skb_scrub_packet" },
	{ 0x63f6ba73, "nexthop_select_path" },
	{ 0xc0f789c9, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x80f3cea1, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5d74693e, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x968bf1fe, "param_ops_bool" },
	{ 0xbd58f97b, "udp_tun_rx_dst" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb0673929, "rtnl_notify" },
	{ 0xed7b5925, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x233b02d6, "__netif_rx" },
	{ 0x2a4976b1, "skb_clone" },
	{ 0xa2ddf987, "metadata_dst_alloc" },
	{ 0x77f9af9b, "dst_release" },
	{ 0x5d1f7370, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x2b1e9f19, "udp_tunnel_notify_del_rx_port" },
	{ 0xc498b0c1, "register_nexthop_notifier" },
	{ 0xa27c1a2a, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xf42d8f66, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x17d69815, "netdev_core_stats_inc" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0xa5a6dc56, "netdev_info" },
	{ 0xf7662b5e, "neigh_lookup" },
	{ 0x23f0486f, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x43550086, "register_netdevice" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "2843CFAE04B8BC03483FF07");
MODULE_INFO(rhelversion, "9.6");
