#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0x1862ff31, "");
SYMBOL_CRC(ntb_unregister_client, 0xcb8829f8, "");
SYMBOL_CRC(ntb_register_device, 0x1a1d0f20, "");
SYMBOL_CRC(ntb_unregister_device, 0x78bf3107, "");
SYMBOL_CRC(ntb_set_ctx, 0xb1ac8a02, "");
SYMBOL_CRC(ntb_clear_ctx, 0xe6d73b28, "");
SYMBOL_CRC(ntb_link_event, 0x74922f82, "");
SYMBOL_CRC(ntb_db_event, 0x7b5df29d, "");
SYMBOL_CRC(ntb_msg_event, 0xe7585d65, "");
SYMBOL_CRC(ntb_default_port_number, 0x7ac2c9f4, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0xd7749a6e, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0x3b747545, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0x3e5ccd6a, "");
SYMBOL_CRC(ntb_msi_init, 0x79e47b9e, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0xe956f3db, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0xf8b14f4f, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0x6d11d920, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0xf089674a, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0x01b60dd4, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0x272c3daf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f7e6040, "irq_has_action" },
	{ 0xf6f85ff9, "devm_request_threaded_irq" },
	{ 0x8b7c7576, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x6d068eda, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x27cf9010, "devm_iounmap" },
	{ 0xb0d018b1, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0xed8166fb, "devres_destroy" },
	{ 0xb8249a5c, "msi_unlock_descs" },
	{ 0x547d5eb6, "devm_ioremap" },
	{ 0x510beb7e, "get_device" },
	{ 0xe7b1e546, "msi_lock_descs" },
	{ 0x28a4da17, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3a262343, "put_device" },
	{ 0x37de86ee, "devm_free_irq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3143902d, "bus_unregister" },
	{ 0xceb3abfe, "devm_kfree" },
	{ 0xbb964b2a, "irq_get_irq_data" },
	{ 0xc778d885, "__devres_alloc_node" },
	{ 0x15539efb, "driver_unregister" },
	{ 0xa5db7ca6, "device_register" },
	{ 0xa64556cf, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x31d47a2a, "msi_domain_first_desc" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x45c5b624, "msi_next_desc" },
	{ 0xe71172eb, "driver_register" },
	{ 0x637e5a0e, "bus_register" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "026457906ECEF839D1F4A06");
MODULE_INFO(rhelversion, "9.6");
