#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0xbe9d8ee0, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0x42442e4f, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0xbc9006a6, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0x805d78de, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x9917aa8b, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0x4032b702, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x0ef2ab39, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0x9b4855a9, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0xf2567133, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0xdca93c2e, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x2c3855d3, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0xbba72638, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0x8e9d89f5, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0xd3a7b3eb, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x74dd1a58, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0x92855833, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0xebd5e2ec, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf62a75cd, "iscsi_dbg_trace" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x76e9dcb4, "dev_printk" },
	{ 0x49608959, "migrate_disable" },
	{ 0x69e8c366, "pcpu_hot" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x93b44c2, "crypto_ahash_digest" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0xd579de3a, "iscsi_itt_to_ctask" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x99c31957, "iscsi_get_task" },
	{ 0x9418e77b, "iscsi_update_cmdsn" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x8b64c285, "iscsi_requeue_task" },
	{ 0xd83d6890, "iscsi_put_task" },
	{ 0xf5d6546e, "iscsi_prep_data_out_pdu" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3f54bb7c, "iscsi_conn_failure" },
	{ 0x949e5f36, "iscsi_conn_setup" },
	{ 0x8d1db02b, "iscsi_conn_teardown" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0x2fa0b832, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa8c4b5e1, "__SCT__tp_func_iscsi_dbg_tcp" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe81261b2, "iscsi_complete_pdu" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xaf72527c, "crypto_ahash_final" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5fec9457, "skb_prepare_seq_read" },
	{ 0xcd3a02fb, "skb_seq_read" },
	{ 0xa543f4c, "skb_abort_seq_read" },
	{ 0xa14f5e1a, "iscsi_verify_itt" },
	{ 0xb37fb99f, "__iscsi_complete_pdu" },
	{ 0x8dac2b5b, "param_ops_int" },
	{ 0x48bec375, "__SCK__tp_func_iscsi_dbg_tcp" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "996C9DADF87E43446B7A223");
MODULE_INFO(rhelversion, "9.6");
