#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0xca1630bc, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x2e5407bb, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x88fbc90b, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x56f7a9cc, "_gpl");
SYMBOL_CRC(br_forward_finish, 0xbb4873b8, "_gpl");
SYMBOL_CRC(br_forward, 0x186840d9, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x4b327826, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x2bb19f58, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x79d93fa6, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0xb8152777, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0xb74dd384, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x4ec5fc78, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x2da0c26a, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x4a4bc9e7, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0xb857d935, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x2f9a74a1, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0xfdb86476, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x33257891, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x51e8ece4, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0xc9e8dc1a, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xbee80e4f, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0xa5b44e26, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x192408e2, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x7c0fd8d4, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x0e162170, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1771a9a9, "netdev_lower_get_next" },
	{ 0xd6921473, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd1a8c462, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xe133794f, "skb_copy_bits" },
	{ 0x1152e289, "__nlmsg_put" },
	{ 0x98114724, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x56dd0aed, "ipv6_mc_check_mld" },
	{ 0x5a937b2e, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x23d8fd02, "call_switchdev_notifiers" },
	{ 0x8da0b95, "sysfs_create_file_ns" },
	{ 0x8e92f7c4, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xaff94467, "netdev_update_features" },
	{ 0x83687204, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0x3393dabc, "dev_uc_del" },
	{ 0xfb83a7d1, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x95689237, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb2c503e3, "switchdev_port_obj_act_is_deferred" },
	{ 0x4f5bec0a, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xeedbee03, "dev_set_promiscuity" },
	{ 0x69e8c366, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa68fb16f, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xebd93239, "unregister_netdevice_queue" },
	{ 0xe4b75acb, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x1d1f3ce, "netdev_state_change" },
	{ 0xb994cd0f, "__pskb_copy_fclone" },
	{ 0x7621689c, "__dev_get_by_name" },
	{ 0x515c0541, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3654fbba, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaea1f83b, "pskb_expand_head" },
	{ 0xbf924aed, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xd924cdf3, "brioctl_set" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x6917a0e9, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x87de5b63, "alloc_netdev_mqs" },
	{ 0xda992ea3, "passthru_features_check" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xa9dd936f, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xeb7d2feb, "__SCK__tp_func_br_mdb_full" },
	{ 0xd770363b, "rtnl_af_register" },
	{ 0x660fea41, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0xa7367879, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbe416e3, "kmem_cache_alloc" },
	{ 0x359f5b5d, "rtnl_set_sk_err" },
	{ 0xe46f4fb, "skb_vlan_pop" },
	{ 0xb9ab47b3, "rtnl_unicast" },
	{ 0xa4d9f58, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6cc7eb43, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x65cc7c2c, "nla_reserve_64bit" },
	{ 0x8f1e8d47, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe3fb4196, "__dev_get_by_index" },
	{ 0xcd652ab8, "rtnl_link_unregister" },
	{ 0x3451d592, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0xd1ed7c9, "dev_get_port_parent_id" },
	{ 0x36418605, "init_net" },
	{ 0x7d0260b9, "ipv6_stub" },
	{ 0xe941b9, "inet_confirm_addr" },
	{ 0x31d11008, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x3a81dd16, "sysfs_remove_link" },
	{ 0x35a5efe0, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1699ced8, "__SCK__tp_func_br_fdb_add" },
	{ 0x6c113c37, "rtnl_af_unregister" },
	{ 0x48876555, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x27b60f75, "arp_send" },
	{ 0x203479cb, "dev_get_by_index_rcu" },
	{ 0x6c5191c7, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0xe2bb57a3, "skb_push" },
	{ 0x55c7c10d, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x36419619, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x7686c703, "netdev_upper_dev_unlink" },
	{ 0xff0d5fe1, "netif_receive_skb" },
	{ 0xf00a075f, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xa8efbb74, "llc_mac_hdr_init" },
	{ 0xa2ddaca8, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xb8d7d4ae, "__SCK__tp_func_fdb_delete" },
	{ 0x93403dd9, "kobject_init_and_add" },
	{ 0xe8788f81, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe9052cac, "ns_capable" },
	{ 0x3165a70b, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8c880bbc, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x506afbe7, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x31b0578f, "arp_create" },
	{ 0x817c9853, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6934099c, "stp_proto_register" },
	{ 0x567dfb4f, "rtnl_register_module" },
	{ 0x47f53b2c, "__tracepoint_br_fdb_update" },
	{ 0x91b27953, "sysfs_rename_link_ns" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3730fcc6, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa74c4a00, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x29b476df, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x16be2606, "__pskb_pull_tail" },
	{ 0x375b0747, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x26b7aa95, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xbdd3cdce, "ip_mc_check_igmp" },
	{ 0xb9b581c0, "__netdev_alloc_skb" },
	{ 0x5ed0a88a, "rhashtable_destroy" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x57825106, "switchdev_port_obj_del" },
	{ 0x327add3b, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x6187157b, "kobject_create_and_add" },
	{ 0x7313578e, "skb_trim" },
	{ 0xbff112ca, "nf_hook_slow" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x3cba242f, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x91c2c755, "__ip_mc_inc_group" },
	{ 0x754efef9, "netdev_walk_all_upper_dev_rcu" },
	{ 0x735a4ae, "sysfs_remove_group" },
	{ 0xbe46cdae, "in_dev_finish_destroy" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0xc0f789c9, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc21f8bb1, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x29a6e757, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x39cea19e, "vlan_vid_add" },
	{ 0x5d74693e, "neigh_destroy" },
	{ 0xe9185008, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x1bc507e9, "kobject_del" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0xf813d402, "__SCK__tp_func_br_fdb_update" },
	{ 0xf191f3a5, "call_netdevice_notifiers" },
	{ 0xb0a72fcf, "is_skb_forwardable" },
	{ 0x9e7f6660, "vlan_vid_del" },
	{ 0x7824bc9e, "dev_set_allmulti" },
	{ 0xb2fddcdd, "net_ns_get_ownership" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x70e353f3, "netdev_master_upper_dev_get" },
	{ 0xdf5e5880, "ipv6_dev_mc_inc" },
	{ 0xb0673929, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf704c6e5, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc12be3ad, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x2a4976b1, "skb_clone" },
	{ 0x1f47df5, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0xa2ddf987, "metadata_dst_alloc" },
	{ 0x77f9af9b, "dst_release" },
	{ 0x3634145, "netif_carrier_on" },
	{ 0x463744a5, "kobject_uevent" },
	{ 0x5d1f7370, "arp_tbl" },
	{ 0x71120ed7, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x589c1974, "netdev_rx_handler_register" },
	{ 0x858e73b7, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf1471b3e, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x584fa994, "dev_disable_lro" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0x6e432b6f, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xa565c78, "dev_get_flags" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x1352e91e, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x5f7b17d2, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xc137a0c2, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x6532b8e8, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0xf50ec1e3, "skb_ext_add" },
	{ 0x3bd094e9, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x8af89478, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0xf7662b5e, "neigh_lookup" },
	{ 0xafc9d901, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x76b9907, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x43550086, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "ipv6,llc,stp");


MODULE_INFO(srcversion, "6688CB620D23305C0BE1643");
MODULE_INFO(rhelversion, "9.6");
