#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x3051db81, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x501be5b1, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x73210906, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x53fefbec, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x2743fe4c, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0xa2a6fa47, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0xc8bcbe03, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x0802b00e, "");
SYMBOL_CRC(ip_vs_conn_put, 0xb56bb41d, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x04aa279a, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x19f4adc6, "");
SYMBOL_CRC(register_ip_vs_app, 0x389d404b, "");
SYMBOL_CRC(unregister_ip_vs_app, 0xd9156d7b, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x7fed0181, "");
SYMBOL_CRC(ip_vs_proto_get, 0x30d7c026, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0xdf05cfc2, "");
SYMBOL_CRC(register_ip_vs_pe, 0xe68f697d, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x69e0dc72, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x41e01a99, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8f68c3e7, "nf_ct_ext_add" },
	{ 0x339f1390, "nf_conntrack_find_get" },
	{ 0xe6bdcf9c, "try_module_get" },
	{ 0x28a3d27d, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x948b0f90, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xe133794f, "skb_copy_bits" },
	{ 0x5933a786, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc75090c1, "proc_dointvec_jiffies" },
	{ 0xbd6149fe, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x83687204, "consume_skb" },
	{ 0xec733541, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0x7952d0eb, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcd6bdc8, "nf_register_sockopt" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x123fabd4, "nf_ct_netns_get" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x8419823f, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x75e14530, "kernel_bind" },
	{ 0x351bae9d, "genlmsg_put" },
	{ 0x8ddc246f, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x29de81f3, "ip6_route_me_harder" },
	{ 0x69e8c366, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xc9c546a2, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x9814cdf3, "__module_get" },
	{ 0xe446a220, "ip_route_output_flow" },
	{ 0xe4b75acb, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x7f46c442, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0x7621689c, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xd6b7cd6c, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaea1f83b, "pskb_expand_head" },
	{ 0xbf924aed, "register_pernet_subsys" },
	{ 0xd6f625e9, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x177e0192, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xce233602, "nf_register_net_hooks" },
	{ 0x7d566f20, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0xa7367879, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbe416e3, "kmem_cache_alloc" },
	{ 0xc31ad7e, "ipv6_sock_mc_join" },
	{ 0xe7c9b413, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x6cc7eb43, "ipv6_dev_get_saddr" },
	{ 0xc9032b50, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x36418605, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x48876555, "sk_skb_reason_drop" },
	{ 0xe0a749da, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x893e462d, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xfada5fe5, "nf_conntrack_alter_reply" },
	{ 0xe83e68ef, "ip_route_me_harder" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0xe2bb57a3, "skb_push" },
	{ 0x55c7c10d, "kmem_cache_free" },
	{ 0x2542dab5, "seq_putc" },
	{ 0xf00a075f, "nla_put" },
	{ 0x93ac18ba, "proc_doulongvec_minmax" },
	{ 0x78233cef, "nf_ct_expect_alloc" },
	{ 0x3e5bf010, "skb_ensure_writable" },
	{ 0x98d7fb29, "iov_iter_kvec" },
	{ 0xaecee4bf, "ip_mc_join_group" },
	{ 0xc29811a2, "nf_ct_expect_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe9052cac, "ns_capable" },
	{ 0x25594ad6, "nf_unregister_net_hooks" },
	{ 0x3165a70b, "inet_select_addr" },
	{ 0x32a293ac, "unregister_pernet_device" },
	{ 0xa95beb73, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xc70f3f0d, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5a3c8fb8, "kthread_stop" },
	{ 0xe020d42e, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3730fcc6, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2f1f8716, "kernel_connect" },
	{ 0xd0d5a2f0, "skb_checksum" },
	{ 0xc197e659, "ip_defrag" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xea6b9032, "__icmpv6_send" },
	{ 0x16be2606, "__pskb_pull_tail" },
	{ 0xf77211f7, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7313578e, "skb_trim" },
	{ 0xbff112ca, "nf_hook_slow" },
	{ 0x1e589fa1, "mutex_trylock" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdfd109cd, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0xb4387266, "nf_ct_deliver_cached_events" },
	{ 0xd3873c1d, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd7ce643e, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x4a41c12f, "__icmp_send" },
	{ 0x6307e64e, "ipv4_mtu" },
	{ 0x999e8297, "vfree" },
	{ 0x134fa80b, "skb_set_owner_w" },
	{ 0x8b8eebc8, "__skb_checksum" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x42fe79bc, "sock_create_kern" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa545948c, "init_user_ns" },
	{ 0x2a28f3f0, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe4b295d6, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xad63cdeb, "seq_printf" },
	{ 0xf8b41329, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd5b72ad3, "proc_create_net_single" },
	{ 0x32d40cba, "ipv4_update_pmtu" },
	{ 0x4d095a85, "nf_defrag_ipv6_enable" },
	{ 0x77f9af9b, "dst_release" },
	{ 0xbe211890, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x46db143e, "proc_dointvec" },
	{ 0x251cbf2e, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x7487a137, "unregister_net_sysctl_table" },
	{ 0xbbf157b2, "ip_local_out" },
	{ 0x47a13ad7, "genl_unregister_family" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xc4079da7, "udp6_set_csum" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x8dac2b5b, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xf2a9b226, "genl_register_family" },
	{ 0x2a311242, "kernel_sendmsg" },
	{ 0x5c71d6fc, "nf_ct_netns_put" },
	{ 0xba002587, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xafc9d901, "kmem_cache_destroy" },
	{ 0x23f0486f, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x42aaab9, "proc_dointvec_minmax" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,ipv6,nf_defrag_ipv6");


MODULE_INFO(srcversion, "331E4E78A77EA0F25DFBF07");
MODULE_INFO(rhelversion, "9.6");
