#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x85ecdd5e, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x6a629c6c, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x0360aaff, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x90d88030, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x9100ebf5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x768e4313, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x994fb8df, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x37ddd31d, "inet_addr_type_table" },
	{ 0x948b0f90, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xe133794f, "skb_copy_bits" },
	{ 0xee87a3bb, "inet_unregister_protosw" },
	{ 0x9266ac4d, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa2197bde, "sock_wfree" },
	{ 0x5a937b2e, "skb_put" },
	{ 0xbd6149fe, "register_net_sysctl" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xbd7e5d1e, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7d17df40, "ip6_dst_hoplimit" },
	{ 0x83687204, "consume_skb" },
	{ 0x83837f12, "inet6_add_offload" },
	{ 0x4cd3ed96, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf74844b3, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x7c567919, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xbd9033a0, "l3mdev_fib_table_by_index" },
	{ 0x85e77f6f, "udp_sock_create4" },
	{ 0x9916aa54, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x354fcede, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x8419823f, "finish_wait" },
	{ 0x3e8f262d, "skb_segment" },
	{ 0x76c93765, "trace_event_printf" },
	{ 0xb69edff1, "__ip_dev_find" },
	{ 0xc72a68cf, "udp_tunnel6_xmit_skb" },
	{ 0x30a53c0b, "sock_common_getsockopt" },
	{ 0x6fbd17c0, "inet_bind" },
	{ 0x82b68d19, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x16233295, "prepare_to_wait" },
	{ 0x4900f8c0, "fd_install" },
	{ 0xa165ab61, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xdcf579e1, "inet_register_protosw" },
	{ 0x69e8c366, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xbb3658ed, "__xfrm_policy_check" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0x9f365271, "__tracepoint_sk_data_ready" },
	{ 0xf6625233, "bpf_trace_run2" },
	{ 0x878dcdad, "sock_common_setsockopt" },
	{ 0x3d8098e9, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xed9e23ad, "__wake_up" },
	{ 0x6c09ffc4, "event_triggers_call" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe446a220, "ip_route_output_flow" },
	{ 0x6d75809c, "rhashtable_walk_enter" },
	{ 0xe4b75acb, "kmem_cache_create" },
	{ 0xb14e1f04, "__sk_mem_schedule" },
	{ 0xa6c51526, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xaad54546, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6b7cd6c, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x1de371dd, "sk_error_report" },
	{ 0xbf924aed, "register_pernet_subsys" },
	{ 0x9e07487b, "put_cmsg" },
	{ 0xce9939d, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0xfec7683b, "inet_sock_destruct" },
	{ 0x64520669, "crypto_destroy_tfm" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xd72611c9, "sock_kmalloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9be6899, "inet6_del_protocol" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0x504f8735, "inet_getname" },
	{ 0xb95d7d59, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x63aaeef, "trace_event_ignore_this_pid" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xa7367879, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0x391fd502, "inet_release" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd16168fc, "rt_write_unlock" },
	{ 0xbe416e3, "kmem_cache_alloc" },
	{ 0x66cfe073, "proto_register" },
	{ 0x52f48d33, "skb_copy_expand" },
	{ 0xa4c96f8c, "__wake_up_sync_key" },
	{ 0x5a4101d, "__sock_recv_ts_and_drops" },
	{ 0xc46a3455, "inet6_compat_ioctl" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x420efb81, "idr_remove" },
	{ 0x32c1605a, "inet_ctl_sock_create" },
	{ 0xa144c431, "inet_ioctl" },
	{ 0xc80852e6, "reuseport_add_sock" },
	{ 0x16978bdc, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0xe21e17e0, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xb44266c4, "sk_filter_trim_cap" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5964dfd3, "perf_trace_run_bpf_submit" },
	{ 0x597a7172, "fput" },
	{ 0xcf9e93c0, "inet_accept" },
	{ 0x36418605, "init_net" },
	{ 0x44083f65, "crypto_shash_setkey" },
	{ 0x31d11008, "skb_pull" },
	{ 0x994aed66, "inet_add_offload" },
	{ 0xf5ac02c6, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x48876555, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x20d0bd5f, "__SCK__tp_func_sk_data_ready" },
	{ 0xcc02148b, "inet_add_protocol" },
	{ 0x8113040e, "inet_shutdown" },
	{ 0x847715d5, "sk_free" },
	{ 0xea51a0cb, "sock_wake_async" },
	{ 0x203479cb, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0xb0c799d0, "inet_del_offload" },
	{ 0xe2bb57a3, "skb_push" },
	{ 0xdba6602f, "__ip_queue_xmit" },
	{ 0x55c7c10d, "kmem_cache_free" },
	{ 0x4bf56c06, "__sk_mem_reclaim" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x607d90e8, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x93ac18ba, "proc_doulongvec_minmax" },
	{ 0x50d0e443, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7763afba, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0xe9052cac, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa95beb73, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x63d717f1, "inet6_ioctl" },
	{ 0xc394d6fc, "skb_copy_datagram_iter" },
	{ 0x7a2b2ef, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x696207b9, "idr_alloc_cyclic" },
	{ 0x2372001e, "sk_alloc" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3730fcc6, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6bf3d935, "ip6_dst_lookup_flow" },
	{ 0x70df102f, "rhashtable_free_and_destroy" },
	{ 0x74b816d, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xa74c4a00, "rht_bucket_nested_insert" },
	{ 0xfba53ef2, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x454a104a, "sock_no_mmap" },
	{ 0x4348159a, "__init_waitqueue_head" },
	{ 0x16be2606, "__pskb_pull_tail" },
	{ 0x84b18227, "sock_no_sendpage" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x562add11, "setup_udp_tunnel_sock" },
	{ 0xc5b860d9, "udp_sock_create6" },
	{ 0x7313578e, "skb_trim" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6ff6c15c, "sk_common_release" },
	{ 0xfb258442, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xc0f789c9, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x45e13840, "rt_read_lock" },
	{ 0x9405b517, "inet6_getname" },
	{ 0xdaf4e73f, "sock_i_ino" },
	{ 0x835fee53, "inet6_sock_destruct" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9c07fce4, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0x95059d42, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6307e64e, "ipv4_mtu" },
	{ 0x134fa80b, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x475643f2, "trace_event_buffer_reserve" },
	{ 0x8b8eebc8, "__skb_checksum" },
	{ 0x611954c2, "reuseport_alloc" },
	{ 0xc6c06bd0, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0xfc908d56, "inet6_release" },
	{ 0xb78bce07, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xbd121c9b, "inet_sendmsg" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x968bf1fe, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x4ce3f76d, "ipv6_dup_options" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa5c8051a, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x887abc52, "rhltable_init" },
	{ 0xed7b5925, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xad63cdeb, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd5b72ad3, "proc_create_net_single" },
	{ 0x1fbd67fc, "skb_copy" },
	{ 0x2a4976b1, "skb_clone" },
	{ 0x26152746, "inet_sk_set_state" },
	{ 0x77f9af9b, "dst_release" },
	{ 0x4ddacc97, "rt_write_lock" },
	{ 0x468952f0, "_copy_from_iter" },
	{ 0xbe211890, "sock_release" },
	{ 0x66fec4d0, "inet_recv_error" },
	{ 0x46db143e, "proc_dointvec" },
	{ 0x251cbf2e, "seq_puts" },
	{ 0xcfd55bae, "sock_gettstamp" },
	{ 0xbc794b62, "security_sctp_bind_connect" },
	{ 0xfe4dda58, "rhashtable_walk_next" },
	{ 0x57fbb15d, "_proc_mkdir" },
	{ 0xe2e90fbb, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3a67e59e, "send_sig" },
	{ 0x7487a137, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xc3c7e186, "inet6_add_protocol" },
	{ 0x1d346863, "from_kuid_munged" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0xf2b64b44, "ip_setsockopt" },
	{ 0xe44f84b5, "ipv6_flowlabel_exclusive" },
	{ 0x6e432b6f, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xa7cf8396, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0xadd3bae4, "reuseport_detach_sock" },
	{ 0xdebecd11, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xd90cf0f5, "iov_iter_revert" },
	{ 0xc051a6dc, "crypto_alloc_shash" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x5a61a045, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xcc316ad9, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x38455630, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0xafc9d901, "kmem_cache_destroy" },
	{ 0x23f0486f, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbc9fde6a, "skb_queue_head" },
	{ 0x42aaab9, "proc_dointvec_minmax" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "ipv6,udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "218632A41ED2E03CADC829E");
MODULE_INFO(rhelversion, "9.6");
