#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(gss_krb5_lookup_enctype, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(gss_krb5_checksum, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_cbc_cts_encrypt, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_cbc_cts_decrypt, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_etm_checksum, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_nfold, "", "EXPORTED_FOR_KUNIT_TESTING");

SYMBOL_CRC(gss_krb5_lookup_enctype, 0xee7377c1, "");
SYMBOL_CRC(gss_krb5_checksum, 0x5539f910, "");
SYMBOL_CRC(krb5_cbc_cts_encrypt, 0xc707fee3, "");
SYMBOL_CRC(krb5_cbc_cts_decrypt, 0xba1c2e98, "");
SYMBOL_CRC(krb5_etm_checksum, 0x7038365b, "");
SYMBOL_CRC(krb5_nfold, 0x3c849d4f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1792a79a, "crypto_skcipher_encrypt" },
	{ 0xafca2c6d, "crypto_alloc_ahash" },
	{ 0xfa1727b5, "xdr_buf_trim" },
	{ 0xb0e602eb, "memmove" },
	{ 0xa04aded2, "xdr_process_buf" },
	{ 0x634c4923, "read_bytes_from_xdr_buf" },
	{ 0xf6ee78f, "crypto_ahash_setkey" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xc49fde00, "crypto_skcipher_setkey" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4d681713, "gss_mech_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x64520669, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9616a497, "crypto_skcipher_decrypt" },
	{ 0x44083f65, "crypto_shash_setkey" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x2921685b, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfb578fc5, "memset" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xde76ee8e, "xdr_buf_subsegment" },
	{ 0x2dc8c3c0, "crypto_alloc_sync_skcipher" },
	{ 0xaf72527c, "crypto_ahash_final" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9bd0d94, "crypto_shash_final" },
	{ 0x655ad947, "gss_mech_register" },
	{ 0xf54bd49b, "lcm" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0xe4ba8960, "write_bytes_to_xdr_buf" },
	{ 0xc051a6dc, "crypto_alloc_shash" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,auth_rpcgss");


MODULE_INFO(srcversion, "7821F90262CC4AC5E9419FB");
MODULE_INFO(rhelversion, "9.6");
